-- VHDL model created from schematic autoconf.sch -- Jun 23 21:59:12 2005

LIBRARY ieee;
LIBRARY generics;
LIBRARY lat_vhd;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
USE generics.components.ALL;
USE lat_vhd.components.ALL;

entity AUTOCONF is
      Port (   A23_i : In    std_logic;
               A22_i : In    std_logic;
               A19_i : In    std_logic;
               A18_i : In    std_logic;
               A17_i : In    std_logic;
               A16_i : In    std_logic;
                A6_i : In    std_logic;
                A5_i : In    std_logic;
                A4_i : In    std_logic;
                A3_i : In    std_logic;
                A2_i : In    std_logic;
                A1_i : In    std_logic;
              D12_io : InOut std_logic;
              D13_io : InOut std_logic;
              D14_io : InOut std_logic;
              D15_io : InOut std_logic;
             CONOUT_o : Out   std_logic;
               A21_i : In    std_logic;
               A20_i : In    std_logic;
                 CE5 : Out   std_logic;
                 CE4 : Out   std_logic;
                 CE3 : Out   std_logic;
                 CE2 : Out   std_logic;
                 CE1 : Out   std_logic;
                 CE0 : Out   std_logic;
                 OEU : Out   std_logic;
                 OEL : Out   std_logic;
               CLR_i : In    std_logic;
             ROMEN_i : In    std_logic;
               LDS_i : In    std_logic;
               UDS_i : In    std_logic;
                RW_i : In    std_logic;
             CONIN_I : In    std_logic;
             AS_00_i : In    std_logic );
end AUTOCONF;

architecture SCHEMATIC of AUTOCONF is

   SIGNAL gnd : std_logic := '0';
   SIGNAL vcc : std_logic := '1';

   signal     N_67 : std_logic;
   signal     N_68 : std_logic;
   signal      LDS : std_logic;
   signal      UDS : std_logic;
   signal     N_57 : std_logic;
   signal     N_58 : std_logic;
   signal     N_60 : std_logic;
   signal     N_61 : std_logic;
   signal     N_62 : std_logic;
   signal     N_63 : std_logic;
   signal     N_64 : std_logic;
   signal     N_65 : std_logic;
   signal     N_66 : std_logic;
   signal     N_54 : std_logic;
   signal     N_55 : std_logic;
   signal     N_56 : std_logic;
   signal     N_12 : std_logic;
   signal     N_13 : std_logic;
   signal     N_14 : std_logic;
   signal     N_15 : std_logic;
   signal    D12_o : std_logic;
   signal    D13_o : std_logic;
   signal    D14_o : std_logic;
   signal    D15_o : std_logic;
   signal    D12_i : std_logic;
   signal    D13_i : std_logic;
   signal    D14_i : std_logic;
   signal    D15_i : std_logic;
   signal      CLR : std_logic;
   signal     N_32 : std_logic;
   signal     N_33 : std_logic;
   signal     N_34 : std_logic;
   signal     N_35 : std_logic;
   signal    AS_00 : std_logic;
   signal    ROMEN : std_logic;
   signal       A1 : std_logic;
   signal       A2 : std_logic;
   signal       A3 : std_logic;
   signal       A4 : std_logic;
   signal       A5 : std_logic;
   signal       A6 : std_logic;
   signal      A16 : std_logic;
   signal      A17 : std_logic;
   signal      A18 : std_logic;
   signal      A19 : std_logic;
   signal      A20 : std_logic;
   signal      A21 : std_logic;
   signal    CONIN : std_logic;
   signal      A22 : std_logic;
   signal      A23 : std_logic;
   signal       RW : std_logic;

   component CONF_AD1
      Port (     A21 : In    std_logic;
                 A22 : In    std_logic;
                 A23 : In    std_logic;
                 COA : In    std_logic;
                 COB : In    std_logic;
                 COC : In    std_logic;
                 AD1 : Out   std_logic );
   end component;

   component ADRESSDECODER
      Port (     A20 : In    std_logic;
                  AS : In    std_logic;
                ENAB : In    std_logic;
                 LDS : In    std_logic;
                SEG0 : In    std_logic;
                SEG1 : In    std_logic;
                 UDS : In    std_logic;
                 CE0 : Out   std_logic;
                 CE1 : Out   std_logic;
                 CE2 : Out   std_logic;
                 CE3 : Out   std_logic;
                 CE4 : Out   std_logic;
                 CE5 : Out   std_logic;
                 OEL : Out   std_logic;
                 OEU : Out   std_logic );
   end component;

   component E80000
      Port (     A16 : In    std_logic;
                 A17 : In    std_logic;
                 A18 : In    std_logic;
                 A19 : In    std_logic;
                 A20 : In    std_logic;
                 A21 : In    std_logic;
                 A22 : In    std_logic;
                 A23 : In    std_logic;
                  AS : In    std_logic;
               CONIN : In    std_logic;
               ROMEN : In    std_logic;
               SLAVE : Out   std_logic );
   end component;

   component CONFDATA
      Port (      A1 : In    std_logic;
                  A2 : In    std_logic;
                  A3 : In    std_logic;
                  A4 : In    std_logic;
                  A5 : In    std_logic;
                  A6 : In    std_logic;
                  RW : In    std_logic;
               SLAVE : In    std_logic;
               CON48 : Out   std_logic;
               CON4A : Out   std_logic;
                 D12 : Out   std_logic;
                 D13 : Out   std_logic;
                 D14 : Out   std_logic;
                 D15 : Out   std_logic );
   end component;

   component CMP4
      Port (      A0 : In    std_logic;
                  A1 : In    std_logic;
                  A2 : In    std_logic;
                  A3 : In    std_logic;
                  B0 : In    std_logic;
                  B1 : In    std_logic;
                  B2 : In    std_logic;
                  B3 : In    std_logic;
                  EQ : Out   std_logic );
   end component;

begin

   I152 : CONF_AD1
      Port Map ( A21=>A21, A22=>A22, A23=>A23, COA=>N_33, COB=>N_34,
                 COC=>N_35, AD1=>N_57 );
   I141 : G_MUX21
      Port Map ( A=>N_54, B=>N_12, S=>ROMEN, Y=>N_55 );
   I202 : ADRESSDECODER
      Port Map ( A20=>A20, AS=>AS_00, ENAB=>N_12, LDS=>LDS, SEG0=>N_58,
                 SEG1=>N_57, UDS=>UDS, CE0=>N_64, CE1=>N_65, CE2=>N_66,
                 CE3=>N_67, CE4=>N_61, CE5=>N_60, OEL=>N_62, OEU=>N_63 );
   I151 : E80000
      Port Map ( A16=>A16, A17=>A17, A18=>A18, A19=>A19, A20=>A20,
                 A21=>A21, A22=>A22, A23=>A23, AS=>AS_00, CONIN=>CONIN,
                 ROMEN=>ROMEN, SLAVE=>N_13 );
   I118 : CONFDATA
      Port Map ( A1=>A1, A2=>A2, A3=>A3, A4=>A4, A5=>A5, A6=>A6, RW=>RW,
                 SLAVE=>N_15, CON48=>N_32, CON4A=>open, D12=>D12_o,
                 D13=>D13_o, D14=>D14_o, D15=>D15_o );
   I113 : CMP4
      Port Map ( A0=>GND, A1=>N_33, A2=>N_34, A3=>N_35, B0=>GND, B1=>A21,
                 B2=>A22, B3=>A23, EQ=>N_58 );
   I75 : G_3AND1
      Port Map ( AN=>N_15, B=>VCC, C=>RW, Y=>N_14 );
   I145 : G_2OR
      Port Map ( A=>N_12, B=>N_13, Y=>N_15 );
   I73 : G_INV
      Port Map ( A=>N_68, YN=>CLR );
   I163 : G_INV
      Port Map ( A=>CONIN, YN=>N_54 );
   I135 : G_INV
      Port Map ( A=>N_55, YN=>N_56 );
   I57 : G_DC
      Port Map ( C=>CLR, CLK=>N_32, D=>VCC, Q=>N_12 );
   I130 : G_DC
      Port Map ( C=>CLR, CLK=>N_32, D=>D13_i, Q=>N_33 );
   I133 : G_DC
      Port Map ( C=>CLR, CLK=>N_32, D=>D14_i, Q=>N_34 );
   I134 : G_DC
      Port Map ( C=>CLR, CLK=>N_32, D=>D15_i, Q=>N_35 );
   I36 : G_BIDIR
      Port Map ( I=>D13_o, OE=>N_14, O=>D13_io, FBK=>D13_i );
   I37 : G_BIDIR
      Port Map ( I=>D14_o, OE=>N_14, O=>D14_io, FBK=>D14_i );
   I38 : G_BIDIR
      Port Map ( I=>D15_o, OE=>N_14, O=>D15_io, FBK=>D15_i );
   I35 : G_BIDIR
      Port Map ( I=>D12_o, OE=>N_14, O=>D12_io, FBK=>D12_i );
   I108 : G_OUTPUT
      Port Map ( I=>N_62, O=>OEL );
   I124 : G_OUTPUT
      Port Map ( I=>N_63, O=>OEU );
   I16 : G_OUTPUT
      Port Map ( I=>N_64, O=>CE0 );
   I196 : G_OUTPUT
      Port Map ( I=>N_65, O=>CE1 );
   I195 : G_OUTPUT
      Port Map ( I=>N_66, O=>CE2 );
   I194 : G_OUTPUT
      Port Map ( I=>N_67, O=>CE3 );
   I193 : G_OUTPUT
      Port Map ( I=>N_61, O=>CE4 );
   I192 : G_OUTPUT
      Port Map ( I=>N_60, O=>CE5 );
   I59 : G_OUTPUT
      Port Map ( I=>N_56, O=>CONOUT_o );
   I197 : G_INPUT
      Port Map ( I=>LDS_i, O=>LDS );
   I198 : G_INPUT
      Port Map ( I=>UDS_i, O=>UDS );
   I55 : G_INPUT
      Port Map ( I=>CLR_i, O=>N_68 );
   I131 : G_INPUT
      Port Map ( I=>ROMEN_i, O=>ROMEN );
   I46 : G_INPUT
      Port Map ( I=>RW_i, O=>RW );
   I31 : G_INPUT
      Port Map ( I=>CONIN_I, O=>CONIN );
   I20 : G_INPUT
      Port Map ( I=>AS_00_i, O=>AS_00 );
   I23 : G_INPUT
      Port Map ( I=>A21_i, O=>A21 );
   I24 : G_INPUT
      Port Map ( I=>A20_i, O=>A20 );
   I40 : G_INPUT
      Port Map ( I=>A2_i, O=>A2 );
   I41 : G_INPUT
      Port Map ( I=>A1_i, O=>A1 );
   I21 : G_INPUT
      Port Map ( I=>A23_i, O=>A23 );
   I22 : G_INPUT
      Port Map ( I=>A22_i, O=>A22 );
   I25 : G_INPUT
      Port Map ( I=>A19_i, O=>A19 );
   I26 : G_INPUT
      Port Map ( I=>A18_i, O=>A18 );
   I28 : G_INPUT
      Port Map ( I=>A17_i, O=>A17 );
   I29 : G_INPUT
      Port Map ( I=>A16_i, O=>A16 );
   I44 : G_INPUT
      Port Map ( I=>A6_i, O=>A6 );
   I45 : G_INPUT
      Port Map ( I=>A5_i, O=>A5 );
   I42 : G_INPUT
      Port Map ( I=>A4_i, O=>A4 );
   I43 : G_INPUT
      Port Map ( I=>A3_i, O=>A3 );

end SCHEMATIC;
