-- VHDL netlist for autoconf
-- Date: Sun Mar 05 22:06:27 2006
-- Copyright (c) Lattice Semiconductor Corporation
LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PGAND5_autoconf IS 
    GENERIC (
        TRISE : TIME := 1 ns;
        TFALL : TIME := 1 ns
    );
    PORT (
        A4 : IN std_logic;
        A3 : IN std_logic;
        A2 : IN std_logic;
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
END PGAND5_autoconf;

ARCHITECTURE behav OF PGAND5_autoconf IS 
BEGIN

    PROCESS (A4, A3, A2, A1, 
		A0)
    VARIABLE ZDF : std_logic;
    BEGIN
        ZDF := A4 AND A3 AND A2 AND 
            A1 AND A0;
        if ZDF ='1' then
            Z0 <= transport ZDF after TRISE;
        elsif ZDF ='0' then
            Z0 <= transport ZDF after TFALL;
        else
            Z0 <= transport ZDF;
        end if;
    END PROCESS;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PGAND6_autoconf IS 
    GENERIC (
        TRISE : TIME := 1 ns;
        TFALL : TIME := 1 ns
    );
    PORT (
        A5 : IN std_logic;
        A4 : IN std_logic;
        A3 : IN std_logic;
        A2 : IN std_logic;
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
END PGAND6_autoconf;

ARCHITECTURE behav OF PGAND6_autoconf IS 
BEGIN

    PROCESS (A5, A4, A3, A2, 
		A1, A0)
    VARIABLE ZDF : std_logic;
    BEGIN
        ZDF := A5 AND A4 AND A3 AND 
            A2 AND A1 AND A0;
        if ZDF ='1' then
            Z0 <= transport ZDF after TRISE;
        elsif ZDF ='0' then
            Z0 <= transport ZDF after TFALL;
        else
            Z0 <= transport ZDF;
        end if;
    END PROCESS;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PGAND2_autoconf IS 
    GENERIC (
        TRISE : TIME := 1 ns;
        TFALL : TIME := 1 ns
    );
    PORT (
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
END PGAND2_autoconf;

ARCHITECTURE behav OF PGAND2_autoconf IS 
BEGIN

    PROCESS (A1, A0)
    VARIABLE ZDF : std_logic;
    BEGIN
        ZDF := A1 AND A0;
        if ZDF ='1' then
            Z0 <= transport ZDF after TRISE;
        elsif ZDF ='0' then
            Z0 <= transport ZDF after TFALL;
        else
            Z0 <= transport ZDF;
        end if;
    END PROCESS;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PGORF72_autoconf IS 
    GENERIC (
        TRISE : TIME := 1 ns;
        TFALL : TIME := 1 ns
    );
    PORT (
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
END PGORF72_autoconf;

ARCHITECTURE behav OF PGORF72_autoconf IS 
BEGIN

    PROCESS (A1, A0)
    VARIABLE ZDF : std_logic;
    BEGIN
        ZDF := A1 OR A0;
        if ZDF ='1' then
            Z0 <= transport ZDF after TRISE;
        elsif ZDF ='0' then
            Z0 <= transport ZDF after TFALL;
        else
            Z0 <= transport ZDF;
        end if;
    END PROCESS;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PGBUFI_autoconf IS 
    GENERIC (
        TRISE : TIME := 1 ns;
        TFALL : TIME := 1 ns
    );
    PORT (
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
END PGBUFI_autoconf;

ARCHITECTURE behav OF PGBUFI_autoconf IS 
BEGIN

    PROCESS (A0)
    VARIABLE ZDF : std_logic;
    BEGIN
        ZDF :=  A0;
        if ZDF ='1' then
            Z0 <= transport ZDF after TRISE;
        elsif ZDF ='0' then
            Z0 <= transport ZDF after TFALL;
        else
            Z0 <= transport ZDF;
        end if;
    END PROCESS;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PGORF73_autoconf IS 
    GENERIC (
        TRISE : TIME := 1 ns;
        TFALL : TIME := 1 ns
    );
    PORT (
        A2 : IN std_logic;
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
END PGORF73_autoconf;

ARCHITECTURE behav OF PGORF73_autoconf IS 
BEGIN

    PROCESS (A2, A1, A0)
    VARIABLE ZDF : std_logic;
    BEGIN
        ZDF := A2 OR A1 OR A0;
        if ZDF ='1' then
            Z0 <= transport ZDF after TRISE;
        elsif ZDF ='0' then
            Z0 <= transport ZDF after TFALL;
        else
            Z0 <= transport ZDF;
        end if;
    END PROCESS;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PGORF74_autoconf IS 
    GENERIC (
        TRISE : TIME := 1 ns;
        TFALL : TIME := 1 ns
    );
    PORT (
        A3 : IN std_logic;
        A2 : IN std_logic;
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
END PGORF74_autoconf;

ARCHITECTURE behav OF PGORF74_autoconf IS 
BEGIN

    PROCESS (A3, A2, A1, A0)
    VARIABLE ZDF : std_logic;
    BEGIN
        ZDF := A3 OR A2 OR A1 OR 
            A0;
        if ZDF ='1' then
            Z0 <= transport ZDF after TRISE;
        elsif ZDF ='0' then
            Z0 <= transport ZDF after TFALL;
        else
            Z0 <= transport ZDF;
        end if;
    END PROCESS;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PGXOR2_autoconf IS 
    GENERIC (
        TRISE : TIME := 1 ns;
        TFALL : TIME := 1 ns
    );
    PORT (
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
END PGXOR2_autoconf;

ARCHITECTURE behav OF PGXOR2_autoconf IS 
BEGIN

    PROCESS (A1, A0)
    VARIABLE ZDF : std_logic;
    BEGIN
        ZDF := A1 XOR A0;
        if ZDF ='1' then
            Z0 <= transport ZDF after TRISE;
        elsif ZDF ='0' then
            Z0 <= transport ZDF after TFALL;
        else
            Z0 <= transport ZDF;
        end if;
    END PROCESS;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PGINVI_autoconf IS 
    GENERIC (
        TRISE : TIME := 1 ns;
        TFALL : TIME := 1 ns
    );
    PORT (
        A0 : IN std_logic;
        ZN0 : OUT std_logic
    );
END PGINVI_autoconf;

ARCHITECTURE behav OF PGINVI_autoconf IS 
BEGIN

    PROCESS (A0)
    VARIABLE ZDF : std_logic;
    BEGIN
        ZDF := NOT A0;
        if ZDF ='1' then
            ZN0 <= transport ZDF after TRISE;
        elsif ZDF ='0' then
            ZN0 <= transport ZDF after TFALL;
        else
            ZN0 <= transport ZDF;
        end if;
    END PROCESS;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PGAND3_autoconf IS 
    GENERIC (
        TRISE : TIME := 1 ns;
        TFALL : TIME := 1 ns
    );
    PORT (
        A2 : IN std_logic;
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
END PGAND3_autoconf;

ARCHITECTURE behav OF PGAND3_autoconf IS 
BEGIN

    PROCESS (A2, A1, A0)
    VARIABLE ZDF : std_logic;
    BEGIN
        ZDF := A2 AND A1 AND A0;
        if ZDF ='1' then
            Z0 <= transport ZDF after TRISE;
        elsif ZDF ='0' then
            Z0 <= transport ZDF after TFALL;
        else
            Z0 <= transport ZDF;
        end if;
    END PROCESS;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PGAND4_autoconf IS 
    GENERIC (
        TRISE : TIME := 1 ns;
        TFALL : TIME := 1 ns
    );
    PORT (
        A3 : IN std_logic;
        A2 : IN std_logic;
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
END PGAND4_autoconf;

ARCHITECTURE behav OF PGAND4_autoconf IS 
BEGIN

    PROCESS (A3, A2, A1, A0)
    VARIABLE ZDF : std_logic;
    BEGIN
        ZDF := A3 AND A2 AND A1 AND 
            A0;
        if ZDF ='1' then
            Z0 <= transport ZDF after TRISE;
        elsif ZDF ='0' then
            Z0 <= transport ZDF after TFALL;
        else
            Z0 <= transport ZDF;
        end if;
    END PROCESS;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PGAND11_autoconf IS 
    GENERIC (
        TRISE : TIME := 1 ns;
        TFALL : TIME := 1 ns
    );
    PORT (
        A10 : IN std_logic;
        A9 : IN std_logic;
        A8 : IN std_logic;
        A7 : IN std_logic;
        A6 : IN std_logic;
        A5 : IN std_logic;
        A4 : IN std_logic;
        A3 : IN std_logic;
        A2 : IN std_logic;
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
END PGAND11_autoconf;

ARCHITECTURE behav OF PGAND11_autoconf IS 
BEGIN

    PROCESS (A10, A9, A8, A7, 
		A6, A5, A4, A3, 
		A2, A1, A0)
    VARIABLE ZDF : std_logic;
    BEGIN
        ZDF := A10 AND A9 AND A8 AND 
            A7 AND A6 AND A5 AND A4 AND 
            A3 AND A2 AND A1 AND A0;
        if ZDF ='1' then
            Z0 <= transport ZDF after TRISE;
        elsif ZDF ='0' then
            Z0 <= transport ZDF after TFALL;
        else
            Z0 <= transport ZDF;
        end if;
    END PROCESS;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PGAND10_autoconf IS 
    GENERIC (
        TRISE : TIME := 1 ns;
        TFALL : TIME := 1 ns
    );
    PORT (
        A9 : IN std_logic;
        A8 : IN std_logic;
        A7 : IN std_logic;
        A6 : IN std_logic;
        A5 : IN std_logic;
        A4 : IN std_logic;
        A3 : IN std_logic;
        A2 : IN std_logic;
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
END PGAND10_autoconf;

ARCHITECTURE behav OF PGAND10_autoconf IS 
BEGIN

    PROCESS (A9, A8, A7, A6, 
		A5, A4, A3, A2, 
		A1, A0)
    VARIABLE ZDF : std_logic;
    BEGIN
        ZDF := A9 AND A8 AND A7 AND 
            A6 AND A5 AND A4 AND A3 AND 
            A2 AND A1 AND A0;
        if ZDF ='1' then
            Z0 <= transport ZDF after TRISE;
        elsif ZDF ='0' then
            Z0 <= transport ZDF after TFALL;
        else
            Z0 <= transport ZDF;
        end if;
    END PROCESS;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PGORF75_autoconf IS 
    GENERIC (
        TRISE : TIME := 1 ns;
        TFALL : TIME := 1 ns
    );
    PORT (
        A4 : IN std_logic;
        A3 : IN std_logic;
        A2 : IN std_logic;
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
END PGORF75_autoconf;

ARCHITECTURE behav OF PGORF75_autoconf IS 
BEGIN

    PROCESS (A4, A3, A2, A1, 
		A0)
    VARIABLE ZDF : std_logic;
    BEGIN
        ZDF := A4 OR A3 OR A2 OR 
            A1 OR A0;
        if ZDF ='1' then
            Z0 <= transport ZDF after TRISE;
        elsif ZDF ='0' then
            Z0 <= transport ZDF after TFALL;
        else
            Z0 <= transport ZDF;
        end if;
    END PROCESS;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PGDFFR_autoconf IS 
    GENERIC (
        HLCQ : TIME := 1 ns;
        LHCQ : TIME := 1 ns;
        HLRQ : TIME := 1 ns;
        SUD0 : TIME := 0 ns;
        SUD1 : TIME := 0 ns;
        HOLDD0 : TIME := 0 ns;
        HOLDD1 : TIME := 0 ns;
        POSC1 : TIME := 0 ns;
        POSC0 : TIME := 0 ns;
        NEGC1 : TIME := 0 ns;
        NEGC0 : TIME := 0 ns;
        RECRC : TIME := 0 ns;
        HOLDRC : TIME := 0 ns
    );
    PORT (
        RNESET : IN std_logic;
        CD : IN std_logic;
        CLK : IN std_logic;
        D0 : IN std_logic;
        Q0 : OUT std_logic
    );
END PGDFFR_autoconf;

ARCHITECTURE behav OF PGDFFR_autoconf IS 
BEGIN

    PROCESS (RNESET, CD, CLK, D0)
	variable iQ0 : std_logic;
	variable pQ0 : std_logic;

	begin

		if (CD OR NOT (RNESET)) = '1' then
			if NOT (iQ0='0') then
			  iQ0 := '0';
			  Q0 <= transport iQ0  after HLRQ;
			end if;
		elsif (CD OR NOT (RNESET)) = '0' AND CLK= '1' AND CLK'EVENT then
			pQ0 := iQ0;
			if (D0'EVENT) then
				iQ0 := D0'LAST_VALUE;
			elsif NOT (D0'EVENT) then
				iQ0 := D0;
			end if;
      if pQ0 = iQ0 then 
         Q0 <= transport iQ0;
      elsif iQ0 = '1' then Q0 <= transport iQ0 after LHCQ;
      elsif iQ0 = '0' then Q0 <= transport iQ0 after HLCQ;
      else
          Q0 <= transport iQ0;
      end if;
		end if;
    END PROCESS;

	process(CLK, CD)
	 begin
		if CD'EVENT AND CD='0' AND CLK='1' then
			assert (CLK'LAST_EVENT >= HOLDRC) 
			report("HOLD TIME VIOLAION ON CD (HOLDRC)  ")
            severity WARNING;
		end if;
		if CLK'EVENT  AND CLK ='1' AND CD ='0' then
			assert ( CD'LAST_EVENT >= RECRC) 
			report("RECOVERY TIME VIOLATION on CD(RECRC) ")
            severity WARNING;
		end if;
	end process;

	process(CLK,RNESET)
	 begin
		if RNESET'EVENT AND NOT(RNESET)='0' AND CLK='1' then
			assert (CLK'LAST_EVENT >= HOLDRC) 
			report("HOLD TIME VIOLAION ON RNESET (HOLDRC)  ")
            severity WARNING;
		end if;
		if CLK'EVENT  AND CLK ='1' AND NOT(RNESET) ='0' then
			assert ( RNESET'LAST_EVENT >= RECRC) 
			report("RECOVERY TIME VIOLATION on RNESET(RECRC) ")
            severity WARNING;
		end if;
	end process;

	process(D0, CLK)

	variable R_EDGE1 : TIME := 0 ns;
	variable R_EDGE0 : TIME := 0 ns;
	variable F_EDGE1 : TIME := 0 ns;
	variable F_EDGE0 : TIME := 0 ns;

	begin
		if CLK='1' AND CLK'LAST_VALUE='0' AND NOT(D0'EVENT) then
		   if D0='1' then
			R_EDGE1 := NOW;
			assert((R_EDGE1-F_EDGE1) >= NEGC1) 
			report("NEGATIVE PULSE WIDTH VIOLATION (NEGC1) ON CLK at ")
            severity WARNING;
			elsif D0='0' then
			 R_EDGE0 := NOW;
			 assert((R_EDGE0-F_EDGE0) >= NEGC0) 
			 report("NEGATIVE PULSE WIDTH VIOLATION (NEGC0) ON CLK at ")
             severity WARNING;
			end if;
		end if;

		if CLK ='0' AND CLK'LAST_VALUE = '1' AND NOT(D0'EVENT) then
			if D0='1' then
			  F_EDGE1 := NOW;
			  assert ((F_EDGE1-R_EDGE1) >= POSC1) 
			  report("POSITIVE PULSE WIDTH VIOLATION (POSC1) ON CLK at ")
              severity WARNING;
			elsif D0='0' then
			  F_EDGE0 := NOW;
			  assert ((F_EDGE0-R_EDGE0) >= POSC0) 
			  report("POSITIVE PULSE WIDTH VIOLATION (POSC0) ON CLK at ")
              severity WARNING;
			end if;
		end if;

	end process;

	process(D0, CLK)

	begin
		if CLK = '1' AND CLK'EVENT then 
			if D0='1' then
               assert(D0'LAST_EVENT >= SUD1) 
 			   report("DATA SET-UP VIOLATION (SUD1) ")
               severity WARNING;
			elsif D0='0' then
               assert(D0'LAST_EVENT >= SUD0) 
 			   report("DATA SET-UP VIOLATION (SUD0) ")
               severity WARNING;
			end if;
		end if;

		if CLK='1' AND D0'EVENT then 
			if D0'LAST_VALUE ='1' then
			   assert(CLK'LAST_EVENT >= HOLDD1)
			   report("DATA HOLD VIOLATION (HOLDD1) ")
               severity WARNING;
			elsif D0'LAST_VALUE='0' then
			   assert(CLK'LAST_EVENT >= HOLDD0)
			   report("DATA HOLD VIOLATION (HOLDD0) ")
               severity WARNING;
			end if;
		end if;

	end process;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PXIN_autoconf IS 
    GENERIC (
        TRISE : TIME := 1 ns;
        TFALL : TIME := 1 ns
    );
    PORT (
        XI0 : IN std_logic;
        Z0 : OUT std_logic
    );
END PXIN_autoconf;

ARCHITECTURE behav OF PXIN_autoconf IS 
BEGIN

    PROCESS (XI0)
    VARIABLE ZDF : std_logic;
    BEGIN
        ZDF :=  XI0;
        if ZDF ='1' then
            Z0 <= transport ZDF after TRISE;
        elsif ZDF ='0' then
            Z0 <= transport ZDF after TFALL;
        else
            Z0 <= transport ZDF;
        end if;
    END PROCESS;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PXTRI_autoconf IS 
    GENERIC (
        TRISE : TIME := 1 ns;
        TFALL : TIME := 1 ns;
        HZ : TIME := 1 ns;
        ZH : TIME := 1 ns;
        LZ : TIME := 1 ns;
        ZL : TIME := 1 ns
    );
    PORT (
        OE : IN std_logic;
        A0 : IN std_logic;
        XO0 : OUT std_logic
    );
END PXTRI_autoconf;

ARCHITECTURE behav OF PXTRI_autoconf IS 
BEGIN

    PROCESS (OE, A0)
	variable pXO : std_logic ;
	variable iXO : std_logic ;
	begin
		if OE='1' then
			pXO := iXO;
			iXO := A0;
			if pXO = iXO then 
				XO0 <= transport iXO after 0 ns;
			elsif pXO = '0' OR pXO = '1' then 
				if iXO = '1' then 
					XO0 <= transport iXO after TRISE ;
				else 
					XO0 <= transport iXO after TFALL ;
				end if;
			elsif NOT (pXO ='0' OR pXO='1') then
				if iXO = '1' then 
					XO0 <= transport iXO after ZH ;
				else 
					XO0 <= transport iXO after ZL ;
				end if;
			else 
				XO0 <= transport iXO after 0 ns;
			end if;
		elsif OE = '0' OR (OE = '0' AND NOT(A0'EVENT)) then
			pXO := iXO;
			iXO := 'Z';
      if iXO = pXO then 
         XO0 <= transport iXO;
      elsif pXO = '1' then XO0 <= transport iXO after HZ;
      elsif pXO = '0' then XO0 <= transport iXO after LZ;
      else
          XO0 <= transport iXO;
      end if;
		end if;
	end process;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PXDFFR_autoconf IS 
    GENERIC (
        HLCQ : TIME := 1 ns;
        LHCQ : TIME := 1 ns;
        HLRQ : TIME := 1 ns;
        SUD0 : TIME := 0 ns;
        SUD1 : TIME := 0 ns;
        HOLDD0 : TIME := 0 ns;
        HOLDD1 : TIME := 0 ns;
        POSC1 : TIME := 0 ns;
        POSC0 : TIME := 0 ns;
        NEGC1 : TIME := 0 ns;
        NEGC0 : TIME := 0 ns;
        RECRC : TIME := 0 ns;
        HOLDRC : TIME := 0 ns
    );
    PORT (
        RNESET : IN std_logic;
        CLK : IN std_logic;
        D0 : IN std_logic;
        Q0 : OUT std_logic
    );
END PXDFFR_autoconf;

ARCHITECTURE behav OF PXDFFR_autoconf IS 
BEGIN

    PROCESS (RNESET, CLK, D0)
	variable iQ0 : std_logic;
	variable pQ0 : std_logic;	

	begin
		if RNESET = '0' then
			if NOT (iQ0='0') then
			  iQ0 := '0';
			  Q0 <= transport iQ0  after HLRQ;
			end if;
		elsif RNESET = '1' AND CLK'EVENT AND CLK= '1' then
			pQ0 := iQ0;
			if (D0'EVENT) then
				iQ0 := D0'LAST_VALUE;
			elsif NOT (D0'EVENT) then
				iQ0 := D0;
			end if;
      if pQ0 = iQ0 then 
         Q0 <= transport iQ0;
      elsif iQ0 = '1' then Q0 <= transport iQ0 after LHCQ;
      elsif iQ0 = '0' then Q0 <= transport iQ0 after HLCQ;
      else
          Q0 <= transport iQ0;
      end if;
		end if;

	end process;

	process(CLK,RNESET)
	 begin
		if RNESET'EVENT AND NOT(RNESET)='0' AND CLK='1' then
			assert (CLK'LAST_EVENT >= HOLDRC) 
			report("HOLD TIME VIOLAION ON RNESET (HOLDRC)  ")
            severity WARNING;
		end if;
		if CLK'EVENT  AND CLK ='1' AND NOT(RNESET) ='0' then
			assert ( RNESET'LAST_EVENT >= RECRC) 
			report("RECOVERY TIME VIOLATION on RNESET(RECRC) ")
            severity WARNING;
		end if;
	end process;

	process(D0, CLK)

	begin
		if CLK = '1' AND CLK'EVENT then 
			if D0='1' then
               assert(D0'LAST_EVENT >= SUD1) 
 			   report("DATA SET-UP VIOLATION (SUD1) ")
               severity WARNING;
			elsif D0='0' then
               assert(D0'LAST_EVENT >= SUD0) 
 			   report("DATA SET-UP VIOLATION (SUD0) ")
               severity WARNING;
			end if;
		end if;

		if CLK='1' AND D0'EVENT then 
			if D0'LAST_VALUE ='1' then
			   assert(CLK'LAST_EVENT >= HOLDD1)
			   report("DATA HOLD VIOLATION (HOLDD1) ")
               severity WARNING;
			elsif D0'LAST_VALUE='0' then
			   assert(CLK'LAST_EVENT >= HOLDD0)
			   report("DATA HOLD VIOLATION (HOLDD0) ")
               severity WARNING;
			end if;
		end if;

	end process;

	process(D0, CLK)

	variable R_EDGE1 : TIME := 0 ns;
	variable R_EDGE0 : TIME := 0 ns;
	variable F_EDGE1 : TIME := 0 ns;
	variable F_EDGE0 : TIME := 0 ns;

	begin
		if CLK='1' AND CLK'LAST_VALUE='0' AND NOT(D0'EVENT) then
		   if D0='1' then
			R_EDGE1 := NOW;
			assert((R_EDGE1-F_EDGE1) >= NEGC1) 
			report("NEGATIVE PULSE WIDTH VIOLATION (NEGC1) ON CLK at ")
            severity WARNING;
			elsif D0='0' then
			 R_EDGE0 := NOW;
			 assert((R_EDGE0-F_EDGE0) >= NEGC0) 
			 report("NEGATIVE PULSE WIDTH VIOLATION (NEGC0) ON CLK at ")
             severity WARNING;
			end if;
		end if;

		if CLK ='0' AND CLK'LAST_VALUE = '1' AND NOT(D0'EVENT) then
			if D0='1' then
			  F_EDGE1 := NOW;
			  assert ((F_EDGE1-R_EDGE1) >= POSC1) 
			  report("POSITIVE PULSE WIDTH VIOLATION (POSC1) ON CLK at ")
              severity WARNING;
			elsif D0='0' then
			  F_EDGE0 := NOW;
			  assert ((F_EDGE0-R_EDGE0) >= POSC0) 
			  report("POSITIVE PULSE WIDTH VIOLATION (POSC0) ON CLK at ")
              severity WARNING;
			end if;
		end if;

	end process;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;

ENTITY PXOUT_autoconf IS 
    GENERIC (
        TRISE : TIME := 1 ns;
        TFALL : TIME := 1 ns
    );
    PORT (
        A0 : IN std_logic;
        XO0 : OUT std_logic
    );
END PXOUT_autoconf;

ARCHITECTURE behav OF PXOUT_autoconf IS 
BEGIN

    PROCESS (A0)
    VARIABLE ZDF : std_logic;
    BEGIN
        ZDF :=  A0;
        if ZDF ='1' then
            XO0 <= transport ZDF after TRISE;
        elsif ZDF ='0' then
            XO0 <= transport ZDF after TFALL;
        else
            XO0 <= transport ZDF;
        end if;
    END PROCESS;
END behav;

LIBRARY IEEE;
USE IEEE.std_logic_1164.all;
USE work.all;

ENTITY autoconf IS 
    PORT (
        CLR_I : IN std_logic;
        UDS_I : IN std_logic;
        RW_I : IN std_logic;
        ROMEN_I : IN std_logic;
        LDS_I : IN std_logic;
        CONIN_I : IN std_logic;
        BERR_I : IN std_logic;
        AS_00_I : IN std_logic;
        A6_I : IN std_logic;
        A5_I : IN std_logic;
        A4_I : IN std_logic;
        A3_I : IN std_logic;
        A2_I : IN std_logic;
        A23_I : IN std_logic;
        A22_I : IN std_logic;
        A21_I : IN std_logic;
        A20_I : IN std_logic;
        A1_I : IN std_logic;
        A19_I : IN std_logic;
        A18_I : IN std_logic;
        A17_I : IN std_logic;
        A16_I : IN std_logic;
        D12_IO : OUT std_logic;
        D15_IO : INOUT std_logic;
        D14_IO : INOUT std_logic;
        D13_IO : INOUT std_logic;
        OE : OUT std_logic;
        CE7 : OUT std_logic;
        CE6 : OUT std_logic;
        CE5 : OUT std_logic;
        CE4 : OUT std_logic;
        CE3 : OUT std_logic;
        CE2 : OUT std_logic;
        CE1 : OUT std_logic;
        CE0 : OUT std_logic
    );
END autoconf;


ARCHITECTURE autoconf_STRUCTURE OF autoconf IS
SIGNAL VCC : std_logic := '1';
SIGNAL GND : std_logic := '0';
SIGNAL  AND_1107_part2_ck2f, AND_1107_part1_iock1f, L2L_KEYWD_RESETb, IO1_OE,
	 IO1_OBUFI, OR_1108_iomux, IO6_IBUFO, IO6_CLK,
	 IO6_OE, N_35, IO6_QF, IO6_OBUFI,
	 OR_1111_iomux, IO7_IBUFO, IO7_CLK, IO7_OE,
	 N_34, IO7_QF, IO7_OBUFI, OR_1110_iomux,
	 L2L_KEYWD_RESET_iocb, IO0_IBUFO, IO0_CLK, IO0_OE,
	 D12_IO_OE_oe, N_33, IO0_QF, IO0_OBUFI,
	 OR_1109_iomux, IO4_IBUFO, IO2_IBUFO, IO13_IBUFO,
	 IO3_IBUFO, IO46_IBUFO, IO8_IBUFO, IO5_IBUFO,
	 IO31_IBUFO, IO32_IBUFO, IO45_IBUFO, IO44_IBUFO,
	 IO30_IBUFO, IO24_IBUFO, IO25_IBUFO, IO26_IBUFO,
	 IO27_IBUFO, IO29_IBUFO, IO28_IBUFO, IO35_IBUFO,
	 IO34_IBUFO, IO33_IBUFO, IO9_OBUFI, OE_PIN_iomux,
	 IO36_OBUFI, OR_1112_iomux, IO37_OBUFI, OR_1113_iomux,
	 IO38_OBUFI, OR_1116_iomux, IO39_OBUFI, OR_1117_iomux,
	 IO43_OBUFI, OR_1114_iomux, IO42_OBUFI, OR_1115_iomux,
	 IO41_OBUFI, OR_1118_iomux, IO40_OBUFI, OR_1119_iomux,
	 A1_P0_xa, AND_923, A1_X3O, OR_1111,
	 A1_X2O, OR_738, OR_1109, A1_G1,
	 A1_G0, A1_F3, A1_F2, A1_F1,
	 A1_F0, A1_P16, A1_P15, OR_738_ffb,
	 AND_937_grp, OR_944_grp, A1_P14, A1_IN1B,
	 A1_IN3B, A1_IN16B, A1_P11, A1_P10,
	 A1_P9, A1_IN0, AND_923_ffb, AND_934_grp,
	 A1_P8, A1_IN10, A1_IN17, A1_P7,
	 A1_IN12B, A1_IN15, A1_P6, A1_IN12,
	 A1_IN14B, A1_P3, A1_P2, A1_IN13,
	 A1_IN14, BUF_1287_grp, OR_959_grp, A1_P1,
	 A1_IN0B, A1_IN4B, A1_IN8, A1_P0,
	 A1_IN13B, A1_IN15B, OE_PIN, A3_X1O,
	 OR_765, A3_G2, A3_F3, A3_F1,
	 A3_F0, A3_P16, A3_P15, A3_P14,
	 A3_P7, A3_IN7B, A3_IN9, A3_P6,
	 A3_IN6, A3_IN8B, A3_P5, A3_IN6B,
	 A3_IN8, AND_987_grp, A3_P3, A3_IN2B,
	 A3_P2, A3_IN0, A3_IN10B, A3_P1,
	 A3_IN0B, A3_IN10, OR_765_ffb, A3_P0,
	 A3_IN7, A3_IN9B, A3_IN16B, D12_IO_OE,
	 OR_1110, OR_930, OR_1108, A4_F2,
	 A4_F1, A4_F0, AND_933_grp, A4_P19,
	 A4_IN2, A4_IN8, A4_IN11, A4_P11,
	 A4_IN4, A4_P10, OR_930_ffb, BUF_1288_grp,
	 A4_P9, A4_IN4B, A4_IN16B, A4_P7,
	 A4_P6, A4_IN13B, A4_P5, A4_IN14,
	 A4_P3, A4_IN13, A4_P2, A4_IN0,
	 A4_P1, A4_IN12B, A4_IN15, AND_948_grp,
	 OR_738_grp, A4_P0, A4_IN0B, A4_IN5B,
	 A4_IN6B, A4_IN12, A4_IN14B, A4_IN15B,
	 B0_P0_xa, AND_937, B0_X3O, B0_P4_xa,
	 AND_987, B0_X2O, OR_944, B0_G1,
	 B0_G0, B0_F2, B0_P11, B0_IN14,
	 AND_923_grp, BUF_1286_grp, B0_P10, B0_IN0B,
	 B0_IN1, B0_IN7, B0_IN13B, BERR_IX_grp,
	 B0_P4, B0_IN5B, B0_IN8, B0_IN15,
	 B0_P0, B0_IN0, B0_IN13, OR_959,
	 B1_F3, B1_P16, B1_IN12, B1_P15,
	 B1_IN0B, B1_IN13, B1_IN14, B4_P0_xa,
	 AND_1107_part1, B4_X3O, B4_P8_xa, AND_1107_part2,
	 B4_X1O, B4_G2, B4_G0, B4_P8,
	 AND_964_grp, A5_IX_grp, OR_962_grp, B4_P0,
	 B4_IN1B, B4_IN2B, B4_IN3, B4_IN5,
	 B4_IN11B, B4_IN15B, OR_962, B5_F3,
	 A6_IX_grp, B5_P16, B5_IN0B, RW_IX_grp,
	 B5_P15, B5_IN13, B5_P14, B5_IN2,
	 AND_933, B6_X3O, AND_964, B6_X2O,
	 B6_G1, B6_G0, B6_F0, A19_IX_grp,
	 A16_IX_grp, A17_IX_grp, A18_IX_grp, CONIN_IX_grp,
	 B6_P3, B6_IN0B, B6_IN1B, B6_IN3,
	 B6_IN4B, B6_IN5, B6_IN6, B6_IN7,
	 B6_IN10B, B6_IN12B, B6_IN13B, B6_IN14B,
	 C1_P4_xa, AND_948, C1_X2O, C1_P13_xa,
	 BUF_1288, C1_X0O, C1_G3, C1_G1,
	 C1_P13, A4_IX_grp, A3_IX_grp, C1_P4,
	 C1_IN1B, C1_IN2, C1_IN3B, OR_1117,
	 C2_X3O, C2_P4_xa, AND_934, C2_X2O,
	 OR_1118, C2_X1O, C2_P13_xa, BUF_1287,
	 C2_X0O, C2_G3, C2_G2, C2_G1,
	 C2_G0, C2_F5, C2_F4, C2_F1,
	 C2_F0, C2_P19, C2_P18, C2_P17,
	 C2_P16, C2_P15, C2_P13, C2_P12,
	 C2_P11, C2_P10, C2_P9, C2_IN7B,
	 C2_IN9B, C2_P7, C2_P6, C2_P5,
	 C2_IN4B, C2_IN11B, A1_IX_grp, A2_IX_grp,
	 C2_P4, C2_IN1B, C2_IN2, C2_P3,
	 C2_P2, C2_IN6, C2_IN8, C2_P1,
	 C2_IN5, C2_IN15, C2_P0, C2_IN0,
	 C2_IN4, C2_IN5B, C2_IN6B, C2_IN7,
	 C2_IN8B, C2_IN9, C2_IN10B, C2_IN12B,
	 C2_IN15B, N_12, L2L_KEYWD_RESET_glbb, N_12_D0,
	 C3_CLK, OR_1116, C3_X2O, OR_1113,
	 OR_1112, C3_G1, C3_G0, C3_F3,
	 C3_F2, C3_F1, C3_F0, C3_P16,
	 C3_P15, C3_P14, C3_P11, C3_P10,
	 C3_P9, C3_IN4B, C3_P7, C3_P6,
	 C3_P5, C3_P4, C3_IN7B, C3_IN9B,
	 C3_P3, C3_P2, C3_IN6, C3_IN8,
	 C3_P1, C3_IN5, C3_IN15, N_12_ffb,
	 UDS_IX_grp, C3_P0, C3_IN4, C3_IN5B,
	 C3_IN6B, C3_IN7, C3_IN8B, C3_IN9,
	 C3_IN10B, C3_IN11B, C3_IN15B, C3_IN17,
	 OR_1114, C4_X3O, OR_1115, C4_X2O,
	 C4_P8_xa, BUF_1286, C4_X1O, OR_1119,
	 C4_X0O, C4_G3, C4_G2, C4_G1,
	 C4_G0, C4_F5, C4_F4, C4_F1,
	 C4_F0, C4_P16, C4_P15, C4_P14,
	 C4_IN4, C4_P12, C4_P11, C4_P10,
	 ROMEN_IX_grp, C4_P8, C4_IN2, C4_P7,
	 C4_P6, C4_P5, C4_P4, C4_IN7B,
	 C4_IN9B, C4_P3, C4_P2, C4_IN6,
	 C4_IN8, C4_P1, C4_IN5, C4_IN15,
	 N_35_grp, A23_IX_grp, N_12_grp, N_33_grp,
	 LDS_IX_grp, AS_00_IX_grp, N_34_grp, A22_IX_grp,
	 A21_IX_grp, A20_IX_grp, C4_P0, C4_IN0,
	 C4_IN4B, C4_IN5B, C4_IN6B, C4_IN7,
	 C4_IN8B, C4_IN9, C4_IN10B, C4_IN12B,
	 C4_IN15B : std_logic;


  COMPONENT PGAND5_autoconf
    GENERIC (TRISE, TFALL : TIME);
    PORT (
        A4 : IN std_logic;
        A3 : IN std_logic;
        A2 : IN std_logic;
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PGAND5_autoconf use entity work.PGAND5_autoconf(behav);

  COMPONENT PGAND6_autoconf
    GENERIC (TRISE, TFALL : TIME);
    PORT (
        A5 : IN std_logic;
        A4 : IN std_logic;
        A3 : IN std_logic;
        A2 : IN std_logic;
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PGAND6_autoconf use entity work.PGAND6_autoconf(behav);

  COMPONENT PGAND2_autoconf
    GENERIC (TRISE, TFALL : TIME);
    PORT (
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PGAND2_autoconf use entity work.PGAND2_autoconf(behav);

  COMPONENT PGORF72_autoconf
    GENERIC (TRISE, TFALL : TIME);
    PORT (
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PGORF72_autoconf use entity work.PGORF72_autoconf(behav);

  COMPONENT PGBUFI_autoconf
    GENERIC (TRISE, TFALL : TIME);
    PORT (
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PGBUFI_autoconf use entity work.PGBUFI_autoconf(behav);

  COMPONENT PGORF73_autoconf
    GENERIC (TRISE, TFALL : TIME);
    PORT (
        A2 : IN std_logic;
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PGORF73_autoconf use entity work.PGORF73_autoconf(behav);

  COMPONENT PGORF74_autoconf
    GENERIC (TRISE, TFALL : TIME);
    PORT (
        A3 : IN std_logic;
        A2 : IN std_logic;
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PGORF74_autoconf use entity work.PGORF74_autoconf(behav);

  COMPONENT PGXOR2_autoconf
    GENERIC (TRISE, TFALL : TIME);
    PORT (
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PGXOR2_autoconf use entity work.PGXOR2_autoconf(behav);

  COMPONENT PGINVI_autoconf
    GENERIC (TRISE, TFALL : TIME);
    PORT (
        A0 : IN std_logic;
        ZN0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PGINVI_autoconf use entity work.PGINVI_autoconf(behav);

  COMPONENT PGAND3_autoconf
    GENERIC (TRISE, TFALL : TIME);
    PORT (
        A2 : IN std_logic;
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PGAND3_autoconf use entity work.PGAND3_autoconf(behav);

  COMPONENT PGAND4_autoconf
    GENERIC (TRISE, TFALL : TIME);
    PORT (
        A3 : IN std_logic;
        A2 : IN std_logic;
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PGAND4_autoconf use entity work.PGAND4_autoconf(behav);

  COMPONENT PGAND11_autoconf
    GENERIC (TRISE, TFALL : TIME);
    PORT (
        A10 : IN std_logic;
        A9 : IN std_logic;
        A8 : IN std_logic;
        A7 : IN std_logic;
        A6 : IN std_logic;
        A5 : IN std_logic;
        A4 : IN std_logic;
        A3 : IN std_logic;
        A2 : IN std_logic;
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PGAND11_autoconf use entity work.PGAND11_autoconf(behav);

  COMPONENT PGAND10_autoconf
    GENERIC (TRISE, TFALL : TIME);
    PORT (
        A9 : IN std_logic;
        A8 : IN std_logic;
        A7 : IN std_logic;
        A6 : IN std_logic;
        A5 : IN std_logic;
        A4 : IN std_logic;
        A3 : IN std_logic;
        A2 : IN std_logic;
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PGAND10_autoconf use entity work.PGAND10_autoconf(behav);

  COMPONENT PGORF75_autoconf
    GENERIC (TRISE, TFALL : TIME);
    PORT (
        A4 : IN std_logic;
        A3 : IN std_logic;
        A2 : IN std_logic;
        A1 : IN std_logic;
        A0 : IN std_logic;
        Z0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PGORF75_autoconf use entity work.PGORF75_autoconf(behav);

  COMPONENT PGDFFR_autoconf
    GENERIC (HLCQ, LHCQ, HLRQ, SUD0, 
        SUD1, HOLDD0, HOLDD1, POSC1, 
        POSC0, NEGC1, NEGC0, RECRC, 
        HOLDRC : TIME);
    PORT (
        RNESET : IN std_logic;
        CD : IN std_logic;
        CLK : IN std_logic;
        D0 : IN std_logic;
        Q0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PGDFFR_autoconf use entity work.PGDFFR_autoconf(behav);

  COMPONENT PXIN_autoconf
    GENERIC (TRISE, TFALL : TIME);
    PORT (
        XI0 : IN std_logic;
        Z0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PXIN_autoconf use entity work.PXIN_autoconf(behav);

  COMPONENT PXTRI_autoconf
    GENERIC (TRISE, TFALL, HZ, ZH, 
        LZ, ZL : TIME);
    PORT (
        OE : IN std_logic;
        A0 : IN std_logic;
        XO0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PXTRI_autoconf use entity work.PXTRI_autoconf(behav);

  COMPONENT PXDFFR_autoconf
    GENERIC (HLCQ, LHCQ, HLRQ, SUD0, 
        SUD1, HOLDD0, HOLDD1, POSC1, 
        POSC0, NEGC1, NEGC0, RECRC, 
        HOLDRC : TIME);
    PORT (
        RNESET : IN std_logic;
        CLK : IN std_logic;
        D0 : IN std_logic;
        Q0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PXDFFR_autoconf use entity work.PXDFFR_autoconf(behav);

  COMPONENT PXOUT_autoconf
    GENERIC (TRISE, TFALL : TIME);
    PORT (
        A0 : IN std_logic;
        XO0 : OUT std_logic
    );
  END COMPONENT;
  for all :  PXOUT_autoconf use entity work.PXOUT_autoconf(behav);

BEGIN

GLB_A1_P16 : PGAND5_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A1_P16, A4 => A1_IN1B, A3 => A1_IN3B, A2 => A1_IN12B, 
	A1 => A1_IN13B, A0 => A1_IN16B);
GLB_A1_P15 : PGAND6_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A1_P15, A5 => A1_IN1B, A4 => A1_IN3B, A3 => A1_IN12, 
	A2 => A1_IN13, A1 => A1_IN15B, A0 => A1_IN16B);
GLB_A1_P14 : PGAND6_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A1_P14, A5 => A1_IN1B, A4 => A1_IN3B, A3 => A1_IN10, 
	A2 => A1_IN13, A1 => A1_IN15B, A0 => A1_IN16B);
GLB_A1_P11 : PGAND2_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A1_P11, A1 => A1_IN0, A0 => A1_IN13);
GLB_A1_P10 : PGAND2_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A1_P10, A1 => A1_IN14, A0 => A1_IN15);
GLB_A1_P9 : PGAND2_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A1_P9, A1 => A1_IN0, A0 => A1_IN15);
GLB_A1_P8 : PGAND2_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => A1_P8, A1 => A1_IN10, A0 => A1_IN17);
GLB_A1_P7 : PGAND6_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A1_P7, A5 => A1_IN0B, A4 => A1_IN4B, A3 => A1_IN12B, 
	A2 => A1_IN13B, A1 => A1_IN14B, A0 => A1_IN15);
GLB_A1_P6 : PGAND6_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A1_P6, A5 => A1_IN0B, A4 => A1_IN4B, A3 => A1_IN12, 
	A2 => A1_IN13B, A1 => A1_IN14B, A0 => A1_IN15B);
GLB_A1_P3 : PGAND5_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A1_P3, A4 => A1_IN4B, A3 => A1_IN8, A2 => A1_IN13B, 
	A1 => A1_IN14, A0 => A1_IN15B);
GLB_A1_P2 : PGAND5_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A1_P2, A4 => A1_IN0B, A3 => A1_IN4B, A2 => A1_IN13, 
	A1 => A1_IN14, A0 => A1_IN15B);
GLB_A1_P1 : PGAND5_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A1_P1, A4 => A1_IN0B, A3 => A1_IN4B, A2 => A1_IN8, 
	A1 => A1_IN13B, A0 => A1_IN15B);
GLB_A1_P0 : PGAND2_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => A1_P0, A1 => A1_IN13B, A0 => A1_IN15B);
GLB_A1_G1 : PGORF72_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A1_G1, A1 => A1_F0, A0 => A1_F1);
GLB_A1_G0 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A1_G0, A0 => GND);
GLB_A1_F3 : PGORF73_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => A1_F3, A2 => A1_P14, A1 => A1_P15, A0 => A1_P16);
GLB_A1_F2 : PGORF74_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => A1_F2, A3 => A1_P8, A2 => A1_P9, A1 => A1_P10, 
	A0 => A1_P11);
GLB_A1_F1 : PGORF72_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => A1_F1, A1 => A1_P6, A0 => A1_P7);
GLB_A1_F0 : PGORF73_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => A1_F0, A2 => A1_P1, A1 => A1_P2, A0 => A1_P3);
GLB_A1_P0_xa : PGBUFI_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => A1_P0_xa, A0 => A1_P0);
GLB_AND_923 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => AND_923, A0 => A1_X3O);
GLB_OR_1111 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OR_1111, A0 => A1_X2O);
GLB_OR_738 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OR_738, A0 => A1_F2);
GLB_OR_1109 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OR_1109, A0 => A1_F3);
GLB_A1_IN0 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A1_IN0, A0 => A5_IX_grp);
GLB_A1_IN17 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A1_IN17, A0 => AND_923_ffb);
GLB_A1_IN10 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A1_IN10, A0 => AND_934_grp);
GLB_A1_IN15 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A1_IN15, A0 => A6_IX_grp);
GLB_A1_IN12 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A1_IN12, A0 => A3_IX_grp);
GLB_A1_IN14 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A1_IN14, A0 => A2_IX_grp);
GLB_A1_IN13 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A1_IN13, A0 => A4_IX_grp);
GLB_A1_IN8 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A1_IN8, A0 => BUF_1287_grp);
GLB_A1_X3O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => A1_X3O, A1 => A1_P0_xa, A0 => A1_G0);
GLB_A1_X2O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => A1_X2O, A1 => GND, A0 => A1_G1);
GLB_A1_IN16B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A1_IN16B, A0 => OR_738_ffb);
GLB_A1_IN3B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A1_IN3B, A0 => AND_937_grp);
GLB_A1_IN1B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A1_IN1B, A0 => OR_944_grp);
GLB_A1_IN12B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A1_IN12B, A0 => A3_IX_grp);
GLB_A1_IN14B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A1_IN14B, A0 => A2_IX_grp);
GLB_A1_IN4B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A1_IN4B, A0 => OR_959_grp);
GLB_A1_IN0B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A1_IN0B, A0 => A5_IX_grp);
GLB_A1_IN15B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A1_IN15B, A0 => A6_IX_grp);
GLB_A1_IN13B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A1_IN13B, A0 => A4_IX_grp);
GLB_A3_P16 : PGAND6_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A3_P16, A5 => A3_IN0, A4 => A3_IN6B, A3 => A3_IN7, 
	A2 => A3_IN8, A1 => A3_IN9B, A0 => A3_IN10B);
GLB_A3_P15 : PGAND6_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A3_P15, A5 => A3_IN0B, A4 => A3_IN6B, A3 => A3_IN7, 
	A2 => A3_IN8B, A1 => A3_IN9, A0 => A3_IN10);
GLB_A3_P14 : PGAND6_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A3_P14, A5 => A3_IN0, A4 => A3_IN6B, A3 => A3_IN7B, 
	A2 => A3_IN8B, A1 => A3_IN9, A0 => A3_IN10B);
GLB_A3_P7 : PGAND3_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A3_P7, A2 => A3_IN7B, A1 => A3_IN9, A0 => A3_IN16B);
GLB_A3_P6 : PGAND3_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A3_P6, A2 => A3_IN6, A1 => A3_IN8B, A0 => A3_IN16B);
GLB_A3_P5 : PGAND3_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A3_P5, A2 => A3_IN6B, A1 => A3_IN8, A0 => A3_IN16B);
GLB_A3_P3 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A3_P3, A0 => A3_IN2B);
GLB_A3_P2 : PGAND3_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A3_P2, A2 => A3_IN0, A1 => A3_IN10B, A0 => A3_IN16B);
GLB_A3_P1 : PGAND3_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A3_P1, A2 => A3_IN0B, A1 => A3_IN10, A0 => A3_IN16B);
GLB_A3_P0 : PGAND3_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => A3_P0, A2 => A3_IN7, A1 => A3_IN9B, A0 => A3_IN16B);
GLB_A3_G2 : PGORF72_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A3_G2, A1 => A3_F0, A0 => A3_F1);
GLB_A3_F3 : PGORF73_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => A3_F3, A2 => A3_P14, A1 => A3_P15, A0 => A3_P16);
GLB_A3_F1 : PGORF73_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => A3_F1, A2 => A3_P5, A1 => A3_P6, A0 => A3_P7);
GLB_A3_F0 : PGORF74_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => A3_F0, A3 => A3_P0, A2 => A3_P1, A1 => A3_P2, 
	A0 => A3_P3);
GLB_OE_PIN : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OE_PIN, A0 => A3_X1O);
GLB_OR_765 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OR_765, A0 => A3_F3);
GLB_A3_IN9 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A3_IN9, A0 => A22_IX_grp);
GLB_A3_IN6 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A3_IN6, A0 => N_35_grp);
GLB_A3_IN8 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A3_IN8, A0 => A23_IX_grp);
GLB_A3_IN0 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A3_IN0, A0 => N_33_grp);
GLB_A3_IN10 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A3_IN10, A0 => A21_IX_grp);
GLB_A3_IN7 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A3_IN7, A0 => N_34_grp);
GLB_A3_X1O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => A3_X1O, A1 => GND, A0 => A3_G2);
GLB_A3_IN7B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A3_IN7B, A0 => N_34_grp);
GLB_A3_IN8B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A3_IN8B, A0 => A23_IX_grp);
GLB_A3_IN6B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A3_IN6B, A0 => N_35_grp);
GLB_A3_IN2B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A3_IN2B, A0 => AND_987_grp);
GLB_A3_IN10B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A3_IN10B, A0 => A21_IX_grp);
GLB_A3_IN0B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A3_IN0B, A0 => N_33_grp);
GLB_A3_IN16B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A3_IN16B, A0 => OR_765_ffb);
GLB_A3_IN9B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A3_IN9B, A0 => A22_IX_grp);
GLB_A4_P19 : PGAND3_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => A4_P19, A2 => A4_IN2, A1 => A4_IN8, A0 => A4_IN11);
GLB_A4_P11 : PGAND4_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A4_P11, A3 => A4_IN0B, A2 => A4_IN4, A1 => A4_IN15B, 
	A0 => A4_IN16B);
GLB_A4_P10 : PGAND5_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A4_P10, A4 => A4_IN4B, A3 => A4_IN12B, A2 => A4_IN13B, 
	A1 => A4_IN15B, A0 => A4_IN16B);
GLB_A4_P9 : PGAND6_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A4_P9, A5 => A4_IN0B, A4 => A4_IN4B, A3 => A4_IN12B, 
	A2 => A4_IN14B, A1 => A4_IN15, A0 => A4_IN16B);
GLB_A4_P7 : PGAND2_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A4_P7, A1 => A4_IN0, A0 => A4_IN14);
GLB_A4_P6 : PGAND3_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A4_P6, A2 => A4_IN12, A1 => A4_IN13B, A0 => A4_IN14);
GLB_A4_P5 : PGAND3_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A4_P5, A2 => A4_IN12B, A1 => A4_IN13, A0 => A4_IN14);
GLB_A4_P3 : PGAND4_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A4_P3, A3 => A4_IN5B, A2 => A4_IN6B, A1 => A4_IN12B, 
	A0 => A4_IN13);
GLB_A4_P2 : PGAND4_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A4_P2, A3 => A4_IN0, A2 => A4_IN5B, A1 => A4_IN6B, 
	A0 => A4_IN12B);
GLB_A4_P1 : PGAND4_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A4_P1, A3 => A4_IN5B, A2 => A4_IN6B, A1 => A4_IN12B, 
	A0 => A4_IN15);
GLB_A4_P0 : PGAND6_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => A4_P0, A5 => A4_IN0B, A4 => A4_IN5B, A3 => A4_IN6B, 
	A2 => A4_IN12, A1 => A4_IN14B, A0 => A4_IN15B);
GLB_A4_F2 : PGORF73_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => A4_F2, A2 => A4_P9, A1 => A4_P10, A0 => A4_P11);
GLB_A4_F1 : PGORF73_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => A4_F1, A2 => A4_P5, A1 => A4_P6, A0 => A4_P7);
GLB_A4_F0 : PGORF74_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => A4_F0, A3 => A4_P0, A2 => A4_P1, A1 => A4_P2, 
	A0 => A4_P3);
GLB_D12_IO_OE : PGBUFI_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => D12_IO_OE, A0 => A4_P19);
GLB_OR_1110 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OR_1110, A0 => A4_F0);
GLB_OR_930 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OR_930, A0 => A4_F1);
GLB_OR_1108 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OR_1108, A0 => A4_F2);
GLB_A4_IN11 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A4_IN11, A0 => AND_933_grp);
GLB_A4_IN8 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A4_IN8, A0 => BERR_IX_grp);
GLB_A4_IN2 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A4_IN2, A0 => RW_IX_grp);
GLB_A4_IN4 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A4_IN4, A0 => BUF_1288_grp);
GLB_A4_IN14 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A4_IN14, A0 => A2_IX_grp);
GLB_A4_IN13 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A4_IN13, A0 => A1_IX_grp);
GLB_A4_IN0 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A4_IN0, A0 => A5_IX_grp);
GLB_A4_IN15 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A4_IN15, A0 => A6_IX_grp);
GLB_A4_IN12 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => A4_IN12, A0 => A3_IX_grp);
GLB_A4_IN16B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A4_IN16B, A0 => OR_930_ffb);
GLB_A4_IN4B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A4_IN4B, A0 => BUF_1288_grp);
GLB_A4_IN13B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A4_IN13B, A0 => A1_IX_grp);
GLB_A4_IN12B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A4_IN12B, A0 => A3_IX_grp);
GLB_A4_IN15B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A4_IN15B, A0 => A6_IX_grp);
GLB_A4_IN14B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A4_IN14B, A0 => A2_IX_grp);
GLB_A4_IN6B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A4_IN6B, A0 => AND_948_grp);
GLB_A4_IN5B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A4_IN5B, A0 => OR_738_grp);
GLB_A4_IN0B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => A4_IN0B, A0 => A5_IX_grp);
GLB_B0_P11 : PGAND3_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => B0_P11, A2 => B0_IN0B, A1 => B0_IN13B, A0 => B0_IN14);
GLB_B0_P10 : PGAND4_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => B0_P10, A3 => B0_IN0B, A2 => B0_IN1, A1 => B0_IN7, 
	A0 => B0_IN13B);
GLB_B0_P4 : PGAND3_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => B0_P4, A2 => B0_IN5B, A1 => B0_IN8, A0 => B0_IN15);
GLB_B0_P0 : PGAND2_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => B0_P0, A1 => B0_IN0, A0 => B0_IN13);
GLB_B0_G1 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B0_G1, A0 => GND);
GLB_B0_G0 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B0_G0, A0 => GND);
GLB_B0_F2 : PGORF72_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => B0_F2, A1 => B0_P10, A0 => B0_P11);
GLB_B0_P0_xa : PGBUFI_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => B0_P0_xa, A0 => B0_P0);
GLB_AND_937 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => AND_937, A0 => B0_X3O);
GLB_B0_P4_xa : PGBUFI_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => B0_P4_xa, A0 => B0_P4);
GLB_AND_987 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => AND_987, A0 => B0_X2O);
GLB_OR_944 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OR_944, A0 => B0_F2);
GLB_B0_IN14 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B0_IN14, A0 => A2_IX_grp);
GLB_B0_IN7 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B0_IN7, A0 => AND_923_grp);
GLB_B0_IN1 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B0_IN1, A0 => BUF_1286_grp);
GLB_B0_IN15 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B0_IN15, A0 => N_12_grp);
GLB_B0_IN8 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B0_IN8, A0 => BERR_IX_grp);
GLB_B0_IN13 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B0_IN13, A0 => A1_IX_grp);
GLB_B0_IN0 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B0_IN0, A0 => A5_IX_grp);
GLB_B0_X3O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => B0_X3O, A1 => B0_P0_xa, A0 => B0_G0);
GLB_B0_X2O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => B0_X2O, A1 => B0_P4_xa, A0 => B0_G1);
GLB_B0_IN13B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => B0_IN13B, A0 => A1_IX_grp);
GLB_B0_IN0B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => B0_IN0B, A0 => A5_IX_grp);
GLB_B0_IN5B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => B0_IN5B, A0 => AS_00_IX_grp);
GLB_B1_P16 : PGAND2_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => B1_P16, A1 => B1_IN12, A0 => B1_IN13);
GLB_B1_P15 : PGAND3_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => B1_P15, A2 => B1_IN0B, A1 => B1_IN13, A0 => B1_IN14);
GLB_B1_F3 : PGORF72_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => B1_F3, A1 => B1_P15, A0 => B1_P16);
GLB_OR_959 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OR_959, A0 => B1_F3);
GLB_B1_IN12 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B1_IN12, A0 => A3_IX_grp);
GLB_B1_IN14 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B1_IN14, A0 => A2_IX_grp);
GLB_B1_IN13 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B1_IN13, A0 => A1_IX_grp);
GLB_B1_IN0B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => B1_IN0B, A0 => A5_IX_grp);
GLB_B4_P8 : PGAND6_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => B4_P8, A5 => B4_IN1B, A4 => B4_IN2B, A3 => B4_IN3, 
	A2 => B4_IN5, A1 => B4_IN11B, A0 => B4_IN15B);
GLB_B4_P0 : PGAND6_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => B4_P0, A5 => B4_IN1B, A4 => B4_IN2B, A3 => B4_IN3, 
	A2 => B4_IN5, A1 => B4_IN11B, A0 => B4_IN15B);
GLB_B4_G2 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B4_G2, A0 => GND);
GLB_B4_G0 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B4_G0, A0 => GND);
GLB_B4_P0_xa : PGBUFI_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => B4_P0_xa, A0 => B4_P0);
GLB_AND_1107_part1 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => AND_1107_part1, A0 => B4_X3O);
GLB_B4_P8_xa : PGBUFI_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => B4_P8_xa, A0 => B4_P8);
GLB_AND_1107_part2 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => AND_1107_part2, A0 => B4_X1O);
GLB_B4_IN5 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B4_IN5, A0 => AND_964_grp);
GLB_B4_IN3 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B4_IN3, A0 => A3_IX_grp);
GLB_B4_X3O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => B4_X3O, A1 => B4_P0_xa, A0 => B4_G0);
GLB_B4_X1O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => B4_X1O, A1 => B4_P8_xa, A0 => B4_G2);
GLB_B4_IN15B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => B4_IN15B, A0 => A5_IX_grp);
GLB_B4_IN11B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => B4_IN11B, A0 => OR_962_grp);
GLB_B4_IN2B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => B4_IN2B, A0 => A4_IX_grp);
GLB_B4_IN1B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => B4_IN1B, A0 => A2_IX_grp);
GLB_B5_P16 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => B5_P16, A0 => B5_IN0B);
GLB_B5_P15 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => B5_P15, A0 => B5_IN13);
GLB_B5_P14 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => B5_P14, A0 => B5_IN2);
GLB_B5_F3 : PGORF73_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => B5_F3, A2 => B5_P14, A1 => B5_P15, A0 => B5_P16);
GLB_OR_962 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OR_962, A0 => B5_F3);
GLB_B5_IN13 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B5_IN13, A0 => RW_IX_grp);
GLB_B5_IN2 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B5_IN2, A0 => A1_IX_grp);
GLB_B5_IN0B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => B5_IN0B, A0 => A6_IX_grp);
GLB_B6_P3 : PGAND11_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => B6_P3, A10 => B6_IN0B, A9 => B6_IN1B, A8 => B6_IN3, 
	A7 => B6_IN4B, A6 => B6_IN5, A5 => B6_IN6, A4 => B6_IN7, 
	A3 => B6_IN10B, A2 => B6_IN12B, A1 => B6_IN13B, A0 => B6_IN14B);
GLB_B6_G1 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B6_G1, A0 => B6_F0);
GLB_B6_G0 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B6_G0, A0 => B6_F0);
GLB_B6_F0 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => B6_F0, A0 => B6_P3);
GLB_AND_933 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => AND_933, A0 => B6_X3O);
GLB_AND_964 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => AND_964, A0 => B6_X2O);
GLB_B6_IN7 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B6_IN7, A0 => A23_IX_grp);
GLB_B6_IN6 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B6_IN6, A0 => A22_IX_grp);
GLB_B6_IN5 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B6_IN5, A0 => A21_IX_grp);
GLB_B6_IN3 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => B6_IN3, A0 => A19_IX_grp);
GLB_B6_X3O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => B6_X3O, A1 => GND, A0 => B6_G0);
GLB_B6_X2O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => B6_X2O, A1 => GND, A0 => B6_G1);
GLB_B6_IN14B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => B6_IN14B, A0 => A16_IX_grp);
GLB_B6_IN13B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => B6_IN13B, A0 => A17_IX_grp);
GLB_B6_IN12B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => B6_IN12B, A0 => A18_IX_grp);
GLB_B6_IN10B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => B6_IN10B, A0 => AS_00_IX_grp);
GLB_B6_IN4B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => B6_IN4B, A0 => A20_IX_grp);
GLB_B6_IN1B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => B6_IN1B, A0 => CONIN_IX_grp);
GLB_B6_IN0B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => B6_IN0B, A0 => N_12_grp);
GLB_C1_P13 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => C1_P13, A0 => C1_IN2);
GLB_C1_P4 : PGAND3_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => C1_P4, A2 => C1_IN1B, A1 => C1_IN2, A0 => C1_IN3B);
GLB_C1_G3 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C1_G3, A0 => GND);
GLB_C1_G1 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C1_G1, A0 => GND);
GLB_C1_P4_xa : PGBUFI_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => C1_P4_xa, A0 => C1_P4);
GLB_AND_948 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => AND_948, A0 => C1_X2O);
GLB_C1_P13_xa : PGBUFI_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => C1_P13_xa, A0 => C1_P13);
GLB_BUF_1288 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => BUF_1288, A0 => C1_X0O);
GLB_C1_IN2 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C1_IN2, A0 => A4_IX_grp);
GLB_C1_X2O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => C1_X2O, A1 => C1_P4_xa, A0 => C1_G1);
GLB_C1_X0O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => C1_X0O, A1 => C1_P13_xa, A0 => C1_G3);
GLB_C1_IN3B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C1_IN3B, A0 => A3_IX_grp);
GLB_C1_IN1B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C1_IN1B, A0 => A2_IX_grp);
GLB_C2_P19 : PGAND10_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => C2_P19, A9 => C2_IN0, A8 => C2_IN4B, A7 => C2_IN5B, 
	A6 => C2_IN6, A5 => C2_IN7B, A4 => C2_IN8, A3 => C2_IN9B, 
	A2 => C2_IN10B, A1 => C2_IN11B, A0 => C2_IN15B);
GLB_C2_P18 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C2_P18, A9 => C2_IN0, A8 => C2_IN4B, A7 => C2_IN5, 
	A6 => C2_IN6, A5 => C2_IN7B, A4 => C2_IN8, A3 => C2_IN9B, 
	A2 => C2_IN10B, A1 => C2_IN11B, A0 => C2_IN15);
GLB_C2_P17 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C2_P17, A9 => C2_IN0, A8 => C2_IN4B, A7 => C2_IN5B, 
	A6 => C2_IN6B, A5 => C2_IN7, A4 => C2_IN8B, A3 => C2_IN9, 
	A2 => C2_IN10B, A1 => C2_IN11B, A0 => C2_IN15B);
GLB_C2_P16 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C2_P16, A9 => C2_IN0, A8 => C2_IN4B, A7 => C2_IN5, 
	A6 => C2_IN6B, A5 => C2_IN7B, A4 => C2_IN8B, A3 => C2_IN9B, 
	A2 => C2_IN10B, A1 => C2_IN11B, A0 => C2_IN15);
GLB_C2_P15 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C2_P15, A9 => C2_IN0, A8 => C2_IN4B, A7 => C2_IN5B, 
	A6 => C2_IN6B, A5 => C2_IN7B, A4 => C2_IN8B, A3 => C2_IN9B, 
	A2 => C2_IN10B, A1 => C2_IN11B, A0 => C2_IN15B);
GLB_C2_P13 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => C2_P13, A0 => C2_IN2);
GLB_C2_P12 : PGAND10_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => C2_P12, A9 => C2_IN0, A8 => C2_IN4, A7 => C2_IN5, 
	A6 => C2_IN6, A5 => C2_IN7B, A4 => C2_IN8, A3 => C2_IN9B, 
	A2 => C2_IN10B, A1 => C2_IN12B, A0 => C2_IN15);
GLB_C2_P11 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C2_P11, A9 => C2_IN0, A8 => C2_IN4, A7 => C2_IN5B, 
	A6 => C2_IN6, A5 => C2_IN7B, A4 => C2_IN8, A3 => C2_IN9B, 
	A2 => C2_IN10B, A1 => C2_IN12B, A0 => C2_IN15B);
GLB_C2_P10 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C2_P10, A9 => C2_IN0, A8 => C2_IN4, A7 => C2_IN5, 
	A6 => C2_IN6B, A5 => C2_IN7B, A4 => C2_IN8B, A3 => C2_IN9B, 
	A2 => C2_IN10B, A1 => C2_IN12B, A0 => C2_IN15);
GLB_C2_P9 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C2_P9, A9 => C2_IN0, A8 => C2_IN4, A7 => C2_IN5B, 
	A6 => C2_IN6B, A5 => C2_IN7B, A4 => C2_IN8B, A3 => C2_IN9B, 
	A2 => C2_IN10B, A1 => C2_IN12B, A0 => C2_IN15B);
GLB_C2_P7 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C2_P7, A9 => C2_IN0, A8 => C2_IN4B, A7 => C2_IN5, 
	A6 => C2_IN6, A5 => C2_IN7, A4 => C2_IN8, A3 => C2_IN9, 
	A2 => C2_IN10B, A1 => C2_IN11B, A0 => C2_IN15);
GLB_C2_P6 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C2_P6, A9 => C2_IN0, A8 => C2_IN4B, A7 => C2_IN5B, 
	A6 => C2_IN6, A5 => C2_IN7, A4 => C2_IN8, A3 => C2_IN9, 
	A2 => C2_IN10B, A1 => C2_IN11B, A0 => C2_IN15B);
GLB_C2_P5 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C2_P5, A9 => C2_IN0, A8 => C2_IN4B, A7 => C2_IN5, 
	A6 => C2_IN6B, A5 => C2_IN7, A4 => C2_IN8B, A3 => C2_IN9, 
	A2 => C2_IN10B, A1 => C2_IN11B, A0 => C2_IN15);
GLB_C2_P4 : PGAND2_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => C2_P4, A1 => C2_IN1B, A0 => C2_IN2);
GLB_C2_P3 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C2_P3, A9 => C2_IN0, A8 => C2_IN4, A7 => C2_IN5, 
	A6 => C2_IN6, A5 => C2_IN7, A4 => C2_IN8, A3 => C2_IN9, 
	A2 => C2_IN10B, A1 => C2_IN12B, A0 => C2_IN15);
GLB_C2_P2 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C2_P2, A9 => C2_IN0, A8 => C2_IN4, A7 => C2_IN5B, 
	A6 => C2_IN6, A5 => C2_IN7, A4 => C2_IN8, A3 => C2_IN9, 
	A2 => C2_IN10B, A1 => C2_IN12B, A0 => C2_IN15B);
GLB_C2_P1 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C2_P1, A9 => C2_IN0, A8 => C2_IN4, A7 => C2_IN5, 
	A6 => C2_IN6B, A5 => C2_IN7, A4 => C2_IN8B, A3 => C2_IN9, 
	A2 => C2_IN10B, A1 => C2_IN12B, A0 => C2_IN15);
GLB_C2_P0 : PGAND10_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => C2_P0, A9 => C2_IN0, A8 => C2_IN4, A7 => C2_IN5B, 
	A6 => C2_IN6B, A5 => C2_IN7, A4 => C2_IN8B, A3 => C2_IN9, 
	A2 => C2_IN10B, A1 => C2_IN12B, A0 => C2_IN15B);
GLB_C2_G3 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C2_G3, A0 => GND);
GLB_C2_G2 : PGORF72_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C2_G2, A1 => C2_F0, A0 => C2_F4);
GLB_C2_G1 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C2_G1, A0 => GND);
GLB_C2_G0 : PGORF72_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C2_G0, A1 => C2_F1, A0 => C2_F5);
GLB_C2_F5 : PGORF75_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => C2_F5, A4 => C2_P15, A3 => C2_P16, A2 => C2_P19, 
	A1 => C2_P17, A0 => C2_P18);
GLB_C2_F4 : PGORF74_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => C2_F4, A3 => C2_P9, A2 => C2_P10, A1 => C2_P11, 
	A0 => C2_P12);
GLB_C2_F1 : PGORF73_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => C2_F1, A2 => C2_P5, A1 => C2_P6, A0 => C2_P7);
GLB_C2_F0 : PGORF74_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => C2_F0, A3 => C2_P0, A2 => C2_P1, A1 => C2_P2, 
	A0 => C2_P3);
GLB_OR_1117 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OR_1117, A0 => C2_X3O);
GLB_C2_P4_xa : PGBUFI_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => C2_P4_xa, A0 => C2_P4);
GLB_AND_934 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => AND_934, A0 => C2_X2O);
GLB_OR_1118 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OR_1118, A0 => C2_X1O);
GLB_C2_P13_xa : PGBUFI_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => C2_P13_xa, A0 => C2_P13);
GLB_BUF_1287 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => BUF_1287, A0 => C2_X0O);
GLB_C2_IN2 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C2_IN2, A0 => A1_IX_grp);
GLB_C2_IN8 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C2_IN8, A0 => N_34_grp);
GLB_C2_IN6 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C2_IN6, A0 => A22_IX_grp);
GLB_C2_IN15 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C2_IN15, A0 => N_33_grp);
GLB_C2_IN5 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C2_IN5, A0 => A21_IX_grp);
GLB_C2_IN9 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C2_IN9, A0 => N_35_grp);
GLB_C2_IN7 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C2_IN7, A0 => A23_IX_grp);
GLB_C2_IN4 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C2_IN4, A0 => A20_IX_grp);
GLB_C2_IN0 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C2_IN0, A0 => N_12_grp);
GLB_C2_X3O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => C2_X3O, A1 => GND, A0 => C2_G0);
GLB_C2_X2O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => C2_X2O, A1 => C2_P4_xa, A0 => C2_G1);
GLB_C2_X1O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => C2_X1O, A1 => GND, A0 => C2_G2);
GLB_C2_X0O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => C2_X0O, A1 => C2_P13_xa, A0 => C2_G3);
GLB_C2_IN9B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C2_IN9B, A0 => N_35_grp);
GLB_C2_IN7B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C2_IN7B, A0 => A23_IX_grp);
GLB_C2_IN11B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C2_IN11B, A0 => UDS_IX_grp);
GLB_C2_IN4B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C2_IN4B, A0 => A20_IX_grp);
GLB_C2_IN1B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C2_IN1B, A0 => A2_IX_grp);
GLB_C2_IN15B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C2_IN15B, A0 => N_33_grp);
GLB_C2_IN12B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C2_IN12B, A0 => LDS_IX_grp);
GLB_C2_IN10B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C2_IN10B, A0 => AS_00_IX_grp);
GLB_C2_IN8B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C2_IN8B, A0 => N_34_grp);
GLB_C2_IN6B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C2_IN6B, A0 => A22_IX_grp);
GLB_C2_IN5B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C2_IN5B, A0 => A21_IX_grp);
GLB_C3_P16 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C3_P16, A9 => C3_IN4, A8 => C3_IN5B, A7 => C3_IN6B, 
	A6 => C3_IN7, A5 => C3_IN8, A4 => C3_IN9B, A3 => C3_IN10B, 
	A2 => C3_IN11B, A1 => C3_IN15, A0 => C3_IN17);
GLB_C3_P15 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C3_P15, A9 => C3_IN4, A8 => C3_IN5, A7 => C3_IN6, 
	A6 => C3_IN7B, A5 => C3_IN8, A4 => C3_IN9B, A3 => C3_IN10B, 
	A2 => C3_IN11B, A1 => C3_IN15B, A0 => C3_IN17);
GLB_C3_P14 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C3_P14, A9 => C3_IN4, A8 => C3_IN5B, A7 => C3_IN6, 
	A6 => C3_IN7B, A5 => C3_IN8B, A4 => C3_IN9B, A3 => C3_IN10B, 
	A2 => C3_IN11B, A1 => C3_IN15, A0 => C3_IN17);
GLB_C3_P11 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C3_P11, A9 => C3_IN4B, A8 => C3_IN5B, A7 => C3_IN6B, 
	A6 => C3_IN7, A5 => C3_IN8, A4 => C3_IN9B, A3 => C3_IN10B, 
	A2 => C3_IN11B, A1 => C3_IN15, A0 => C3_IN17);
GLB_C3_P10 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C3_P10, A9 => C3_IN4B, A8 => C3_IN5, A7 => C3_IN6, 
	A6 => C3_IN7B, A5 => C3_IN8, A4 => C3_IN9B, A3 => C3_IN10B, 
	A2 => C3_IN11B, A1 => C3_IN15B, A0 => C3_IN17);
GLB_C3_P9 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C3_P9, A9 => C3_IN4B, A8 => C3_IN5B, A7 => C3_IN6, 
	A6 => C3_IN7B, A5 => C3_IN8B, A4 => C3_IN9B, A3 => C3_IN10B, 
	A2 => C3_IN11B, A1 => C3_IN15, A0 => C3_IN17);
GLB_C3_P7 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C3_P7, A9 => C3_IN4, A8 => C3_IN5, A7 => C3_IN6, 
	A6 => C3_IN7B, A5 => C3_IN8, A4 => C3_IN9B, A3 => C3_IN10B, 
	A2 => C3_IN11B, A1 => C3_IN15, A0 => C3_IN17);
GLB_C3_P6 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C3_P6, A9 => C3_IN4, A8 => C3_IN5B, A7 => C3_IN6, 
	A6 => C3_IN7B, A5 => C3_IN8, A4 => C3_IN9B, A3 => C3_IN10B, 
	A2 => C3_IN11B, A1 => C3_IN15B, A0 => C3_IN17);
GLB_C3_P5 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C3_P5, A9 => C3_IN4, A8 => C3_IN5, A7 => C3_IN6B, 
	A6 => C3_IN7B, A5 => C3_IN8B, A4 => C3_IN9B, A3 => C3_IN10B, 
	A2 => C3_IN11B, A1 => C3_IN15, A0 => C3_IN17);
GLB_C3_P4 : PGAND10_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => C3_P4, A9 => C3_IN4, A8 => C3_IN5B, A7 => C3_IN6B, 
	A6 => C3_IN7B, A5 => C3_IN8B, A4 => C3_IN9B, A3 => C3_IN10B, 
	A2 => C3_IN11B, A1 => C3_IN15B, A0 => C3_IN17);
GLB_C3_P3 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C3_P3, A9 => C3_IN4, A8 => C3_IN5, A7 => C3_IN6, 
	A6 => C3_IN7, A5 => C3_IN8, A4 => C3_IN9, A3 => C3_IN10B, 
	A2 => C3_IN11B, A1 => C3_IN15, A0 => C3_IN17);
GLB_C3_P2 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C3_P2, A9 => C3_IN4, A8 => C3_IN5B, A7 => C3_IN6, 
	A6 => C3_IN7, A5 => C3_IN8, A4 => C3_IN9, A3 => C3_IN10B, 
	A2 => C3_IN11B, A1 => C3_IN15B, A0 => C3_IN17);
GLB_C3_P1 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C3_P1, A9 => C3_IN4, A8 => C3_IN5, A7 => C3_IN6B, 
	A6 => C3_IN7, A5 => C3_IN8B, A4 => C3_IN9, A3 => C3_IN10B, 
	A2 => C3_IN11B, A1 => C3_IN15, A0 => C3_IN17);
GLB_C3_P0 : PGAND10_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => C3_P0, A9 => C3_IN4, A8 => C3_IN5B, A7 => C3_IN6B, 
	A6 => C3_IN7, A5 => C3_IN8B, A4 => C3_IN9, A3 => C3_IN10B, 
	A2 => C3_IN11B, A1 => C3_IN15B, A0 => C3_IN17);
GLB_C3_G1 : PGORF72_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C3_G1, A1 => C3_F0, A0 => C3_F1);
GLB_C3_G0 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C3_G0, A0 => GND);
GLB_C3_F3 : PGORF73_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => C3_F3, A2 => C3_P14, A1 => C3_P15, A0 => C3_P16);
GLB_C3_F2 : PGORF73_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => C3_F2, A2 => C3_P9, A1 => C3_P10, A0 => C3_P11);
GLB_C3_F1 : PGORF74_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => C3_F1, A3 => C3_P4, A2 => C3_P5, A1 => C3_P6, 
	A0 => C3_P7);
GLB_C3_F0 : PGORF74_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => C3_F0, A3 => C3_P0, A2 => C3_P1, A1 => C3_P2, 
	A0 => C3_P3);
GLB_OR_1116 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OR_1116, A0 => C3_X2O);
GLB_OR_1113 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OR_1113, A0 => C3_F2);
GLB_OR_1112 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OR_1112, A0 => C3_F3);
GLB_C3_IN8 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C3_IN8, A0 => N_34_grp);
GLB_C3_IN6 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C3_IN6, A0 => A22_IX_grp);
GLB_C3_IN15 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C3_IN15, A0 => N_33_grp);
GLB_C3_IN5 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C3_IN5, A0 => A21_IX_grp);
GLB_C3_IN17 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C3_IN17, A0 => N_12_ffb);
GLB_C3_IN9 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C3_IN9, A0 => N_35_grp);
GLB_C3_IN7 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C3_IN7, A0 => A23_IX_grp);
GLB_C3_IN4 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C3_IN4, A0 => A20_IX_grp);
GLB_N_12_D0 : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => N_12_D0, A1 => VCC, A0 => C3_G0);
GLB_C3_X2O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => C3_X2O, A1 => GND, A0 => C3_G1);
GLB_N_12 : PGDFFR_autoconf
    GENERIC MAP (HLCQ => 1.300000 ns, LHCQ => 1.300000 ns, HLRQ => 3.300000 ns, SUD0 => 2.700000 ns, 
        SUD1 => 2.700000 ns, HOLDD0 => 4.700000 ns, HOLDD1 => 4.700000 ns, POSC1 => 6.000000 ns, 
        POSC0 => 6.000000 ns, NEGC1 => 6.000000 ns, NEGC0 => 6.000000 ns, RECRC => 0.000000 ns, 
        HOLDRC => 0.000000 ns)
	PORT MAP (Q0 => N_12, RNESET => L2L_KEYWD_RESET_glbb, CD => GND, CLK => C3_CLK, 
	D0 => N_12_D0);
GLB_C3_CLK : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C3_CLK, A0 => AND_1107_part2_ck2f);
GLB_C3_IN4B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C3_IN4B, A0 => A20_IX_grp);
GLB_C3_IN9B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C3_IN9B, A0 => N_35_grp);
GLB_C3_IN7B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C3_IN7B, A0 => A23_IX_grp);
GLB_C3_IN15B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C3_IN15B, A0 => N_33_grp);
GLB_C3_IN11B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C3_IN11B, A0 => UDS_IX_grp);
GLB_C3_IN10B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C3_IN10B, A0 => AS_00_IX_grp);
GLB_C3_IN8B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C3_IN8B, A0 => N_34_grp);
GLB_C3_IN6B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C3_IN6B, A0 => A22_IX_grp);
GLB_C3_IN5B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C3_IN5B, A0 => A21_IX_grp);
GLB_C4_P16 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C4_P16, A9 => C4_IN0, A8 => C4_IN4, A7 => C4_IN5B, 
	A6 => C4_IN6B, A5 => C4_IN7, A4 => C4_IN8, A3 => C4_IN9B, 
	A2 => C4_IN10B, A1 => C4_IN12B, A0 => C4_IN15);
GLB_C4_P15 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C4_P15, A9 => C4_IN0, A8 => C4_IN4, A7 => C4_IN5, 
	A6 => C4_IN6, A5 => C4_IN7B, A4 => C4_IN8, A3 => C4_IN9B, 
	A2 => C4_IN10B, A1 => C4_IN12B, A0 => C4_IN15B);
GLB_C4_P14 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C4_P14, A9 => C4_IN0, A8 => C4_IN4, A7 => C4_IN5B, 
	A6 => C4_IN6, A5 => C4_IN7B, A4 => C4_IN8B, A3 => C4_IN9B, 
	A2 => C4_IN10B, A1 => C4_IN12B, A0 => C4_IN15);
GLB_C4_P12 : PGAND10_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => C4_P12, A9 => C4_IN0, A8 => C4_IN4B, A7 => C4_IN5B, 
	A6 => C4_IN6B, A5 => C4_IN7, A4 => C4_IN8, A3 => C4_IN9B, 
	A2 => C4_IN10B, A1 => C4_IN12B, A0 => C4_IN15);
GLB_C4_P11 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C4_P11, A9 => C4_IN0, A8 => C4_IN4B, A7 => C4_IN5, 
	A6 => C4_IN6, A5 => C4_IN7B, A4 => C4_IN8, A3 => C4_IN9B, 
	A2 => C4_IN10B, A1 => C4_IN12B, A0 => C4_IN15B);
GLB_C4_P10 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C4_P10, A9 => C4_IN0, A8 => C4_IN4B, A7 => C4_IN5B, 
	A6 => C4_IN6, A5 => C4_IN7B, A4 => C4_IN8B, A3 => C4_IN9B, 
	A2 => C4_IN10B, A1 => C4_IN12B, A0 => C4_IN15);
GLB_C4_P8 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => C4_P8, A0 => C4_IN2);
GLB_C4_P7 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C4_P7, A9 => C4_IN0, A8 => C4_IN4B, A7 => C4_IN5, 
	A6 => C4_IN6, A5 => C4_IN7B, A4 => C4_IN8, A3 => C4_IN9B, 
	A2 => C4_IN10B, A1 => C4_IN12B, A0 => C4_IN15);
GLB_C4_P6 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C4_P6, A9 => C4_IN0, A8 => C4_IN4B, A7 => C4_IN5B, 
	A6 => C4_IN6, A5 => C4_IN7B, A4 => C4_IN8, A3 => C4_IN9B, 
	A2 => C4_IN10B, A1 => C4_IN12B, A0 => C4_IN15B);
GLB_C4_P5 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C4_P5, A9 => C4_IN0, A8 => C4_IN4B, A7 => C4_IN5, 
	A6 => C4_IN6B, A5 => C4_IN7B, A4 => C4_IN8B, A3 => C4_IN9B, 
	A2 => C4_IN10B, A1 => C4_IN12B, A0 => C4_IN15);
GLB_C4_P4 : PGAND10_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => C4_P4, A9 => C4_IN0, A8 => C4_IN4B, A7 => C4_IN5B, 
	A6 => C4_IN6B, A5 => C4_IN7B, A4 => C4_IN8B, A3 => C4_IN9B, 
	A2 => C4_IN10B, A1 => C4_IN12B, A0 => C4_IN15B);
GLB_C4_P3 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C4_P3, A9 => C4_IN0, A8 => C4_IN4B, A7 => C4_IN5, 
	A6 => C4_IN6, A5 => C4_IN7, A4 => C4_IN8, A3 => C4_IN9, 
	A2 => C4_IN10B, A1 => C4_IN12B, A0 => C4_IN15);
GLB_C4_P2 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C4_P2, A9 => C4_IN0, A8 => C4_IN4B, A7 => C4_IN5B, 
	A6 => C4_IN6, A5 => C4_IN7, A4 => C4_IN8, A3 => C4_IN9, 
	A2 => C4_IN10B, A1 => C4_IN12B, A0 => C4_IN15B);
GLB_C4_P1 : PGAND10_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => C4_P1, A9 => C4_IN0, A8 => C4_IN4B, A7 => C4_IN5, 
	A6 => C4_IN6B, A5 => C4_IN7, A4 => C4_IN8B, A3 => C4_IN9, 
	A2 => C4_IN10B, A1 => C4_IN12B, A0 => C4_IN15);
GLB_C4_P0 : PGAND10_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => C4_P0, A9 => C4_IN0, A8 => C4_IN4B, A7 => C4_IN5B, 
	A6 => C4_IN6B, A5 => C4_IN7, A4 => C4_IN8B, A3 => C4_IN9, 
	A2 => C4_IN10B, A1 => C4_IN12B, A0 => C4_IN15B);
GLB_C4_G3 : PGORF72_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C4_G3, A1 => C4_F0, A0 => C4_F1);
GLB_C4_G2 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C4_G2, A0 => GND);
GLB_C4_G1 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C4_G1, A0 => C4_F4);
GLB_C4_G0 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C4_G0, A0 => C4_F5);
GLB_C4_F5 : PGORF73_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => C4_F5, A2 => C4_P14, A1 => C4_P15, A0 => C4_P16);
GLB_C4_F4 : PGORF73_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => C4_F4, A2 => C4_P10, A1 => C4_P11, A0 => C4_P12);
GLB_C4_F1 : PGORF74_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => C4_F1, A3 => C4_P4, A2 => C4_P5, A1 => C4_P6, 
	A0 => C4_P7);
GLB_C4_F0 : PGORF74_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => C4_F0, A3 => C4_P0, A2 => C4_P1, A1 => C4_P2, 
	A0 => C4_P3);
GLB_OR_1114 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OR_1114, A0 => C4_X3O);
GLB_OR_1115 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OR_1115, A0 => C4_X2O);
GLB_C4_P8_xa : PGBUFI_autoconf
    GENERIC MAP (TRISE => 4.000000 ns, TFALL => 4.000000 ns)
	PORT MAP (Z0 => C4_P8_xa, A0 => C4_P8);
GLB_BUF_1286 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => BUF_1286, A0 => C4_X1O);
GLB_OR_1119 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => OR_1119, A0 => C4_X0O);
GLB_C4_IN4 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C4_IN4, A0 => A20_IX_grp);
GLB_C4_IN2 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C4_IN2, A0 => ROMEN_IX_grp);
GLB_C4_IN8 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C4_IN8, A0 => N_34_grp);
GLB_C4_IN6 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C4_IN6, A0 => A22_IX_grp);
GLB_C4_IN15 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C4_IN15, A0 => N_33_grp);
GLB_C4_IN5 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C4_IN5, A0 => A21_IX_grp);
GLB_C4_IN9 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C4_IN9, A0 => N_35_grp);
GLB_C4_IN7 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C4_IN7, A0 => A23_IX_grp);
GLB_C4_IN0 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => C4_IN0, A0 => N_12_grp);
GLB_C4_X3O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => C4_X3O, A1 => GND, A0 => C4_G0);
GLB_C4_X2O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => C4_X2O, A1 => GND, A0 => C4_G1);
GLB_C4_X1O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => C4_X1O, A1 => C4_P8_xa, A0 => C4_G2);
GLB_C4_X0O : PGXOR2_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => C4_X0O, A1 => GND, A0 => C4_G3);
GLB_C4_IN9B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C4_IN9B, A0 => N_35_grp);
GLB_C4_IN7B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C4_IN7B, A0 => A23_IX_grp);
GLB_C4_IN15B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C4_IN15B, A0 => N_33_grp);
GLB_C4_IN12B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C4_IN12B, A0 => LDS_IX_grp);
GLB_C4_IN10B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C4_IN10B, A0 => AS_00_IX_grp);
GLB_C4_IN8B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C4_IN8B, A0 => N_34_grp);
GLB_C4_IN6B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C4_IN6B, A0 => A22_IX_grp);
GLB_C4_IN5B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C4_IN5B, A0 => A21_IX_grp);
GLB_C4_IN4B : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => C4_IN4B, A0 => A20_IX_grp);
IOC_L2L_KEYWD_RESET : PXIN_autoconf
    GENERIC MAP (TRISE => 10.700000 ns, TFALL => 10.700000 ns)
	PORT MAP (Z0 => L2L_KEYWD_RESETb, XI0 => CLR_I);
IOC_IO1_OE : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.400000 ns, TFALL => 3.400000 ns)
	PORT MAP (Z0 => IO1_OE, A0 => D12_IO_OE_oe);
IOC_IO1_OBUFI : PGINVI_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (ZN0 => IO1_OBUFI, A0 => OR_1108_iomux);
IOC_D12_IO : PXTRI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns, HZ => 3.300000 ns, ZH => 3.300000 ns, 
        LZ => 3.300000 ns, ZL => 3.300000 ns)
	PORT MAP (XO0 => D12_IO, OE => IO1_OE, A0 => IO1_OBUFI);
IOC_IO6_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => IO6_IBUFO, XI0 => D15_IO);
IOC_IO6_OE : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.400000 ns, TFALL => 3.400000 ns)
	PORT MAP (Z0 => IO6_OE, A0 => D12_IO_OE_oe);
IOC_N_35 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => N_35, A0 => IO6_QF);
IOC_IO6_QF : PXDFFR_autoconf
    GENERIC MAP (HLCQ => 1.300000 ns, LHCQ => 1.300000 ns, HLRQ => 3.300000 ns, SUD0 => 7.300000 ns, 
        SUD1 => 7.300000 ns, HOLDD0 => 1.300000 ns, HOLDD1 => 1.300000 ns, POSC1 => 6.000000 ns, 
        POSC0 => 6.000000 ns, NEGC1 => 6.000000 ns, NEGC0 => 6.000000 ns, RECRC => 0.000000 ns, 
        HOLDRC => 0.000000 ns)
	PORT MAP (Q0 => IO6_QF, RNESET => L2L_KEYWD_RESET_iocb, CLK => IO6_CLK, D0 => IO6_IBUFO);
IOC_IO6_CLK : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => IO6_CLK, A0 => AND_1107_part1_iock1f);
IOC_IO6_OBUFI : PGINVI_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (ZN0 => IO6_OBUFI, A0 => OR_1111_iomux);
IOC_D15_IO : PXTRI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns, HZ => 3.300000 ns, ZH => 3.300000 ns, 
        LZ => 3.300000 ns, ZL => 3.300000 ns)
	PORT MAP (XO0 => D15_IO, OE => IO6_OE, A0 => IO6_OBUFI);
IOC_IO7_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => IO7_IBUFO, XI0 => D14_IO);
IOC_IO7_OE : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.400000 ns, TFALL => 3.400000 ns)
	PORT MAP (Z0 => IO7_OE, A0 => D12_IO_OE_oe);
IOC_N_34 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => N_34, A0 => IO7_QF);
IOC_IO7_QF : PXDFFR_autoconf
    GENERIC MAP (HLCQ => 1.300000 ns, LHCQ => 1.300000 ns, HLRQ => 3.300000 ns, SUD0 => 7.300000 ns, 
        SUD1 => 7.300000 ns, HOLDD0 => 1.300000 ns, HOLDD1 => 1.300000 ns, POSC1 => 6.000000 ns, 
        POSC0 => 6.000000 ns, NEGC1 => 6.000000 ns, NEGC0 => 6.000000 ns, RECRC => 0.000000 ns, 
        HOLDRC => 0.000000 ns)
	PORT MAP (Q0 => IO7_QF, RNESET => L2L_KEYWD_RESET_iocb, CLK => IO7_CLK, D0 => IO7_IBUFO);
IOC_IO7_CLK : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => IO7_CLK, A0 => AND_1107_part1_iock1f);
IOC_IO7_OBUFI : PGINVI_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (ZN0 => IO7_OBUFI, A0 => OR_1110_iomux);
IOC_D14_IO : PXTRI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns, HZ => 3.300000 ns, ZH => 3.300000 ns, 
        LZ => 3.300000 ns, ZL => 3.300000 ns)
	PORT MAP (XO0 => D14_IO, OE => IO7_OE, A0 => IO7_OBUFI);
IOC_IO0_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => IO0_IBUFO, XI0 => D13_IO);
IOC_IO0_OE : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.400000 ns, TFALL => 3.400000 ns)
	PORT MAP (Z0 => IO0_OE, A0 => D12_IO_OE_oe);
IOC_N_33 : PGBUFI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => N_33, A0 => IO0_QF);
IOC_IO0_QF : PXDFFR_autoconf
    GENERIC MAP (HLCQ => 1.300000 ns, LHCQ => 1.300000 ns, HLRQ => 3.300000 ns, SUD0 => 7.300000 ns, 
        SUD1 => 7.300000 ns, HOLDD0 => 1.300000 ns, HOLDD1 => 1.300000 ns, POSC1 => 6.000000 ns, 
        POSC0 => 6.000000 ns, NEGC1 => 6.000000 ns, NEGC0 => 6.000000 ns, RECRC => 0.000000 ns, 
        HOLDRC => 0.000000 ns)
	PORT MAP (Q0 => IO0_QF, RNESET => L2L_KEYWD_RESET_iocb, CLK => IO0_CLK, D0 => IO0_IBUFO);
IOC_IO0_CLK : PGINVI_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (ZN0 => IO0_CLK, A0 => AND_1107_part1_iock1f);
IOC_IO0_OBUFI : PGINVI_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (ZN0 => IO0_OBUFI, A0 => OR_1109_iomux);
IOC_D13_IO : PXTRI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns, HZ => 3.300000 ns, ZH => 3.300000 ns, 
        LZ => 3.300000 ns, ZL => 3.300000 ns)
	PORT MAP (XO0 => D13_IO, OE => IO0_OE, A0 => IO0_OBUFI);
IOC_IO4_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO4_IBUFO, XI0 => UDS_I);
IOC_IO2_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO2_IBUFO, XI0 => RW_I);
IOC_IO13_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO13_IBUFO, XI0 => ROMEN_I);
IOC_IO3_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO3_IBUFO, XI0 => LDS_I);
IOC_IO46_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO46_IBUFO, XI0 => CONIN_I);
IOC_IO8_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO8_IBUFO, XI0 => BERR_I);
IOC_IO5_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO5_IBUFO, XI0 => AS_00_I);
IOC_IO31_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO31_IBUFO, XI0 => A6_I);
IOC_IO32_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO32_IBUFO, XI0 => A5_I);
IOC_IO45_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO45_IBUFO, XI0 => A4_I);
IOC_IO44_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO44_IBUFO, XI0 => A3_I);
IOC_IO30_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO30_IBUFO, XI0 => A2_I);
IOC_IO24_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO24_IBUFO, XI0 => A23_I);
IOC_IO25_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO25_IBUFO, XI0 => A22_I);
IOC_IO26_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO26_IBUFO, XI0 => A21_I);
IOC_IO27_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO27_IBUFO, XI0 => A20_I);
IOC_IO29_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO29_IBUFO, XI0 => A1_I);
IOC_IO28_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO28_IBUFO, XI0 => A19_I);
IOC_IO35_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO35_IBUFO, XI0 => A18_I);
IOC_IO34_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO34_IBUFO, XI0 => A17_I);
IOC_IO33_IBUFO : PXIN_autoconf
    GENERIC MAP (TRISE => 2.600000 ns, TFALL => 2.600000 ns)
	PORT MAP (Z0 => IO33_IBUFO, XI0 => A16_I);
IOC_OE : PXOUT_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (XO0 => OE, A0 => IO9_OBUFI);
IOC_IO9_OBUFI : PGBUFI_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => IO9_OBUFI, A0 => OE_PIN_iomux);
IOC_CE7 : PXOUT_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (XO0 => CE7, A0 => IO36_OBUFI);
IOC_IO36_OBUFI : PGINVI_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (ZN0 => IO36_OBUFI, A0 => OR_1112_iomux);
IOC_CE6 : PXOUT_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (XO0 => CE6, A0 => IO37_OBUFI);
IOC_IO37_OBUFI : PGINVI_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (ZN0 => IO37_OBUFI, A0 => OR_1113_iomux);
IOC_CE5 : PXOUT_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (XO0 => CE5, A0 => IO38_OBUFI);
IOC_IO38_OBUFI : PGINVI_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (ZN0 => IO38_OBUFI, A0 => OR_1116_iomux);
IOC_CE4 : PXOUT_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (XO0 => CE4, A0 => IO39_OBUFI);
IOC_IO39_OBUFI : PGINVI_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (ZN0 => IO39_OBUFI, A0 => OR_1117_iomux);
IOC_CE3 : PXOUT_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (XO0 => CE3, A0 => IO43_OBUFI);
IOC_IO43_OBUFI : PGINVI_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (ZN0 => IO43_OBUFI, A0 => OR_1114_iomux);
IOC_CE2 : PXOUT_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (XO0 => CE2, A0 => IO42_OBUFI);
IOC_IO42_OBUFI : PGINVI_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (ZN0 => IO42_OBUFI, A0 => OR_1115_iomux);
IOC_CE1 : PXOUT_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (XO0 => CE1, A0 => IO41_OBUFI);
IOC_IO41_OBUFI : PGINVI_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (ZN0 => IO41_OBUFI, A0 => OR_1118_iomux);
IOC_CE0 : PXOUT_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (XO0 => CE0, A0 => IO40_OBUFI);
IOC_IO40_OBUFI : PGINVI_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (ZN0 => IO40_OBUFI, A0 => OR_1119_iomux);
GRP_OR_738_ffb : PGBUFI_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => OR_738_ffb, A0 => OR_738);
GRP_OR_738_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => OR_738_grp, A0 => OR_738);
GRP_OR_1111_iomux : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => OR_1111_iomux, A0 => OR_1111);
GRP_OR_1109_iomux : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => OR_1109_iomux, A0 => OR_1109);
GRP_AND_923_ffb : PGBUFI_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => AND_923_ffb, A0 => AND_923);
GRP_AND_923_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => AND_923_grp, A0 => AND_923);
GRP_A2_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.700000 ns, TFALL => 3.700000 ns)
	PORT MAP (Z0 => A2_IX_grp, A0 => IO30_IBUFO);
GRP_A3_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.000000 ns, TFALL => 3.000000 ns)
	PORT MAP (Z0 => A3_IX_grp, A0 => IO44_IBUFO);
GRP_A4_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.400000 ns, TFALL => 2.400000 ns)
	PORT MAP (Z0 => A4_IX_grp, A0 => IO45_IBUFO);
GRP_A5_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.000000 ns, TFALL => 3.000000 ns)
	PORT MAP (Z0 => A5_IX_grp, A0 => IO32_IBUFO);
GRP_A6_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.400000 ns, TFALL => 2.400000 ns)
	PORT MAP (Z0 => A6_IX_grp, A0 => IO31_IBUFO);
GRP_BUF_1287_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => BUF_1287_grp, A0 => BUF_1287);
GRP_AND_934_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => AND_934_grp, A0 => AND_934);
GRP_AND_937_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => AND_937_grp, A0 => AND_937);
GRP_OR_944_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => OR_944_grp, A0 => OR_944);
GRP_OR_959_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => OR_959_grp, A0 => OR_959);
GRP_OR_765_ffb : PGBUFI_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => OR_765_ffb, A0 => OR_765);
GRP_OE_PIN_iomux : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => OE_PIN_iomux, A0 => OE_PIN);
GRP_A21_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.000000 ns, TFALL => 3.000000 ns)
	PORT MAP (Z0 => A21_IX_grp, A0 => IO26_IBUFO);
GRP_A22_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.000000 ns, TFALL => 3.000000 ns)
	PORT MAP (Z0 => A22_IX_grp, A0 => IO25_IBUFO);
GRP_A23_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.000000 ns, TFALL => 3.000000 ns)
	PORT MAP (Z0 => A23_IX_grp, A0 => IO24_IBUFO);
GRP_N_33_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => N_33_grp, A0 => N_33);
GRP_N_34_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => N_34_grp, A0 => N_34);
GRP_N_35_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => N_35_grp, A0 => N_35);
GRP_AND_987_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => AND_987_grp, A0 => AND_987);
GRP_OR_930_ffb : PGBUFI_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => OR_930_ffb, A0 => OR_930);
GRP_OR_1110_iomux : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => OR_1110_iomux, A0 => OR_1110);
GRP_OR_1108_iomux : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => OR_1108_iomux, A0 => OR_1108);
GRP_A1_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.000000 ns, TFALL => 3.000000 ns)
	PORT MAP (Z0 => A1_IX_grp, A0 => IO29_IBUFO);
GRP_AND_948_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => AND_948_grp, A0 => AND_948);
GRP_BUF_1288_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => BUF_1288_grp, A0 => BUF_1288);
GRP_BERR_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.200000 ns, TFALL => 2.200000 ns)
	PORT MAP (Z0 => BERR_IX_grp, A0 => IO8_IBUFO);
GRP_RW_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.200000 ns, TFALL => 2.200000 ns)
	PORT MAP (Z0 => RW_IX_grp, A0 => IO2_IBUFO);
GRP_AND_933_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => AND_933_grp, A0 => AND_933);
GRP_D12_IO_OE_oe : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => D12_IO_OE_oe, A0 => D12_IO_OE);
GRP_BUF_1286_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => BUF_1286_grp, A0 => BUF_1286);
GRP_AS_00_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.000000 ns, TFALL => 3.000000 ns)
	PORT MAP (Z0 => AS_00_IX_grp, A0 => IO5_IBUFO);
GRP_N_12_ffb : PGBUFI_autoconf
    GENERIC MAP (TRISE => 0.700000 ns, TFALL => 0.700000 ns)
	PORT MAP (Z0 => N_12_ffb, A0 => N_12);
GRP_N_12_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => N_12_grp, A0 => N_12);
GRP_AND_1107_part2_ck2f : PGBUFI_autoconf
    GENERIC MAP (TRISE => 6.600000 ns, TFALL => 6.600000 ns)
	PORT MAP (Z0 => AND_1107_part2_ck2f, A0 => AND_1107_part2);
GRP_AND_1107_part1_iock1f : PGBUFI_autoconf
    GENERIC MAP (TRISE => 6.600000 ns, TFALL => 6.600000 ns)
	PORT MAP (Z0 => AND_1107_part1_iock1f, A0 => AND_1107_part1);
GRP_OR_962_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => OR_962_grp, A0 => OR_962);
GRP_AND_964_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => AND_964_grp, A0 => AND_964);
GRP_A16_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => A16_IX_grp, A0 => IO33_IBUFO);
GRP_A17_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => A17_IX_grp, A0 => IO34_IBUFO);
GRP_A18_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => A18_IX_grp, A0 => IO35_IBUFO);
GRP_A19_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => A19_IX_grp, A0 => IO28_IBUFO);
GRP_A20_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.700000 ns, TFALL => 2.700000 ns)
	PORT MAP (Z0 => A20_IX_grp, A0 => IO27_IBUFO);
GRP_CONIN_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => CONIN_IX_grp, A0 => IO46_IBUFO);
GRP_OR_1118_iomux : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => OR_1118_iomux, A0 => OR_1118);
GRP_OR_1117_iomux : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => OR_1117_iomux, A0 => OR_1117);
GRP_LDS_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.200000 ns, TFALL => 2.200000 ns)
	PORT MAP (Z0 => LDS_IX_grp, A0 => IO3_IBUFO);
GRP_UDS_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.200000 ns, TFALL => 2.200000 ns)
	PORT MAP (Z0 => UDS_IX_grp, A0 => IO4_IBUFO);
GRP_OR_1116_iomux : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => OR_1116_iomux, A0 => OR_1116);
GRP_OR_1113_iomux : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => OR_1113_iomux, A0 => OR_1113);
GRP_OR_1112_iomux : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => OR_1112_iomux, A0 => OR_1112);
GRP_OR_1119_iomux : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => OR_1119_iomux, A0 => OR_1119);
GRP_OR_1115_iomux : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => OR_1115_iomux, A0 => OR_1115);
GRP_OR_1114_iomux : PGBUFI_autoconf
    GENERIC MAP (TRISE => 3.300000 ns, TFALL => 3.300000 ns)
	PORT MAP (Z0 => OR_1114_iomux, A0 => OR_1114);
GRP_ROMEN_IX_grp : PGBUFI_autoconf
    GENERIC MAP (TRISE => 2.000000 ns, TFALL => 2.000000 ns)
	PORT MAP (Z0 => ROMEN_IX_grp, A0 => IO13_IBUFO);
GRP_L2L_KEYWD_RESET_glb : PXIN_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => L2L_KEYWD_RESET_glbb, XI0 => L2L_KEYWD_RESETb);
GRP_L2L_KEYWD_RESET_ioc : PXIN_autoconf
    GENERIC MAP (TRISE => 1.300000 ns, TFALL => 1.300000 ns)
	PORT MAP (Z0 => L2L_KEYWD_RESET_iocb, XI0 => L2L_KEYWD_RESETb);
END autoconf_STRUCTURE;
